class SyntaxHead{
    kind
    flag
    constructor(kind, flag) {
        this.kind = kind;
        this.flag = flag;
    }
}
class ASTNode {
    head
    parent
    children
    start
    last
    constructor(head, parent, start, last) {
        this.head = head;
        this.children = [];
        this.parent = parent;
        this.start = start;
        this.last = last;
    }
    selectAST(begin, end) {
        // not intersect
        if (begin > this.last || end < this.start){
            return null;
        }
        if (this.start == begin && this.last == end){
            return this;
        }
        // inclusion
        if (this.start <= begin && this.last >= end){
            for (var i = 0; i < this.children.length;i++){
                var rel = this.children[i].selectAST(begin, end);
                if (rel === null){
                    continue
                }
                else{
                    return rel
                }
            }
            // inclusion, but not intersect with any element, a trivia
            return this;
        }
        // other case - partial insection
        return null;
    }
}

const onMouseClick = function (){
    var start = parseInt(this.getAttribute("start"));
    var last = parseInt(this.getAttribute("last"));
    var rel = ast1.selectAST(start, last);
    if (rel === null){
        return null;
    }
    console.log(rel)
    console.log("selected")
}
var codes = document.getElementsByClassName("code-text")[0].children;
for (var i = 0; i < codes.length; i++){
    var elem = codes[i];
    elem.onclick = onMouseClick;

}

var ast1 = new ASTNode(new SyntaxHead("toplevel", 0),null, 1, 7596);
var ast2 = new ASTNode(new SyntaxHead("using", 0),ast1, 1, 17);
var ast3 = new ASTNode(new SyntaxHead(".", 0),ast2, 6, 17);
var ast4 = new ASTNode(new SyntaxHead("Identifier", 0),ast3, 7, 17);
ast3.children = [ast4];
ast2.children = [ast3];
var ast5 = new ASTNode(new SyntaxHead("function", 0),ast1, 20, 1327);
var ast6 = new ASTNode(new SyntaxHead("call", 0),ast5, 29, 123);
var ast7 = new ASTNode(new SyntaxHead("Identifier", 0),ast6, 29, 43);
var ast8 = new ASTNode(new SyntaxHead("::", 8),ast6, 45, 55);
var ast9 = new ASTNode(new SyntaxHead("Identifier", 0),ast8, 45, 47);
var ast10 = new ASTNode(new SyntaxHead("Identifier", 0),ast8, 50, 55);
ast8.children = [ast9,ast10];
var ast11 = new ASTNode(new SyntaxHead("::", 8),ast6, 58, 70);
var ast12 = new ASTNode(new SyntaxHead("Identifier", 0),ast11, 58, 60);
var ast13 = new ASTNode(new SyntaxHead("curly", 0),ast11, 63, 70);
var ast14 = new ASTNode(new SyntaxHead("Identifier", 0),ast13, 63, 65);
var ast15 = new ASTNode(new SyntaxHead("Identifier", 0),ast13, 67, 69);
ast13.children = [ast14,ast15];
ast11.children = [ast12,ast13];
var ast16 = new ASTNode(new SyntaxHead("::", 8),ast6, 73, 122);
var ast17 = new ASTNode(new SyntaxHead("Identifier", 0),ast16, 73, 75);
var ast18 = new ASTNode(new SyntaxHead("curly", 0),ast16, 78, 122);
var ast19 = new ASTNode(new SyntaxHead(".", 0),ast18, 78, 98);
var ast20 = new ASTNode(new SyntaxHead("Identifier", 0),ast19, 78, 88);
var ast21 = new ASTNode(new SyntaxHead("quote", 0),ast19, 90, 98);
var ast22 = new ASTNode(new SyntaxHead("Identifier", 0),ast21, 90, 98);
ast21.children = [ast22];
ast19.children = [ast20,ast21];
var ast23 = new ASTNode(new SyntaxHead(".", 0),ast18, 100, 121);
var ast24 = new ASTNode(new SyntaxHead("Identifier", 0),ast23, 100, 110);
var ast25 = new ASTNode(new SyntaxHead("quote", 0),ast23, 112, 121);
var ast26 = new ASTNode(new SyntaxHead("Identifier", 0),ast25, 112, 121);
ast25.children = [ast26];
ast23.children = [ast24,ast25];
ast18.children = [ast19,ast23];
ast16.children = [ast17,ast18];
ast6.children = [ast7,ast8,ast11,ast16];
var ast27 = new ASTNode(new SyntaxHead("block", 0),ast5, 124, 1324);
var ast28 = new ASTNode(new SyntaxHead("=", 128),ast27, 129, 143);
var ast29 = new ASTNode(new SyntaxHead("Identifier", 0),ast28, 129, 132);
var ast30 = new ASTNode(new SyntaxHead(".", 0),ast28, 136, 143);
var ast31 = new ASTNode(new SyntaxHead("Identifier", 0),ast30, 136, 138);
var ast32 = new ASTNode(new SyntaxHead("quote", 0),ast30, 140, 143);
var ast33 = new ASTNode(new SyntaxHead("Identifier", 0),ast32, 140, 143);
ast32.children = [ast33];
ast30.children = [ast31,ast32];
ast28.children = [ast29,ast30];
var ast34 = new ASTNode(new SyntaxHead("=", 128),ast27, 149, 164);
var ast35 = new ASTNode(new SyntaxHead("Identifier", 0),ast34, 149, 152);
var ast36 = new ASTNode(new SyntaxHead(".", 0),ast34, 156, 164);
var ast37 = new ASTNode(new SyntaxHead("Identifier", 0),ast36, 156, 159);
var ast38 = new ASTNode(new SyntaxHead("quote", 0),ast36, 161, 164);
var ast39 = new ASTNode(new SyntaxHead("Identifier", 0),ast38, 161, 164);
ast38.children = [ast39];
ast36.children = [ast37,ast38];
ast34.children = [ast35,ast36];
var ast40 = new ASTNode(new SyntaxHead("=", 128),ast27, 170, 186);
var ast41 = new ASTNode(new SyntaxHead("Identifier", 0),ast40, 170, 174);
var ast42 = new ASTNode(new SyntaxHead("call", 8),ast40, 177, 186);
var ast43 = new ASTNode(new SyntaxHead("ref", 0),ast42, 178, 182);
var ast44 = new ASTNode(new SyntaxHead("Identifier", 0),ast43, 178, 180);
ast43.children = [ast44];
var ast45 = new ASTNode(new SyntaxHead("+", 0),ast42, 184, 184);
var ast46 = new ASTNode(new SyntaxHead("Integer", 0),ast42, 186, 186);
ast42.children = [ast43,ast45,ast46];
ast40.children = [ast41,ast42];
var ast47 = new ASTNode(new SyntaxHead("=", 128),ast27, 192, 214);
var ast48 = new ASTNode(new SyntaxHead("Identifier", 0),ast47, 192, 195);
var ast49 = new ASTNode(new SyntaxHead("call", 8),ast47, 198, 214);
var ast50 = new ASTNode(new SyntaxHead("ref", 0),ast49, 199, 203);
var ast51 = new ASTNode(new SyntaxHead("Identifier", 0),ast50, 199, 201);
ast50.children = [ast51];
var ast52 = new ASTNode(new SyntaxHead("+", 0),ast49, 205, 205);
var ast53 = new ASTNode(new SyntaxHead(".", 0),ast49, 207, 214);
var ast54 = new ASTNode(new SyntaxHead("Identifier", 0),ast53, 207, 209);
var ast55 = new ASTNode(new SyntaxHead("quote", 0),ast53, 211, 214);
var ast56 = new ASTNode(new SyntaxHead("Identifier", 0),ast55, 211, 214);
ast55.children = [ast56];
ast53.children = [ast54,ast55];
ast49.children = [ast50,ast52,ast53];
ast47.children = [ast48,ast49];
var ast57 = new ASTNode(new SyntaxHead("=", 128),ast27, 220, 241);
var ast58 = new ASTNode(new SyntaxHead("Identifier", 0),ast57, 220, 223);
var ast59 = new ASTNode(new SyntaxHead("ref", 0),ast57, 227, 241);
var ast60 = new ASTNode(new SyntaxHead("Identifier", 0),ast59, 227, 229);
var ast61 = new ASTNode(new SyntaxHead("call", 8),ast59, 231, 240);
var ast62 = new ASTNode(new SyntaxHead("Identifier", 0),ast61, 231, 235);
var ast63 = new ASTNode(new SyntaxHead(":", 0),ast61, 236, 236);
var ast64 = new ASTNode(new SyntaxHead("Identifier", 0),ast61, 237, 240);
ast61.children = [ast62,ast63,ast64];
ast59.children = [ast60,ast61];
ast57.children = [ast58,ast59];
var ast65 = new ASTNode(new SyntaxHead("+=", 128),ast27, 247, 263);
var ast66 = new ASTNode(new SyntaxHead("ref", 0),ast65, 247, 251);
var ast67 = new ASTNode(new SyntaxHead("Identifier", 0),ast66, 247, 249);
ast66.children = [ast67];
var ast68 = new ASTNode(new SyntaxHead(".", 0),ast65, 256, 263);
var ast69 = new ASTNode(new SyntaxHead("Identifier", 0),ast68, 256, 258);
var ast70 = new ASTNode(new SyntaxHead("quote", 0),ast68, 260, 263);
var ast71 = new ASTNode(new SyntaxHead("Identifier", 0),ast70, 260, 263);
ast70.children = [ast71];
ast68.children = [ast69,ast70];
ast65.children = [ast66,ast68];
var ast72 = new ASTNode(new SyntaxHead("=", 128),ast27, 269, 305);
var ast73 = new ASTNode(new SyntaxHead("Identifier", 0),ast72, 269, 273);
var ast74 = new ASTNode(new SyntaxHead("string", 0),ast72, 277, 305);
var ast75 = new ASTNode(new SyntaxHead("String", 0),ast74, 278, 285);
var ast76 = new ASTNode(new SyntaxHead("Identifier", 0),ast74, 287, 291);
var ast77 = new ASTNode(new SyntaxHead("String", 0),ast74, 292, 299);
var ast78 = new ASTNode(new SyntaxHead("Identifier", 0),ast74, 301, 304);
ast74.children = [ast75,ast76,ast77,ast78];
ast72.children = [ast73,ast74];
var ast79 = new ASTNode(new SyntaxHead("if", 0),ast27, 311, 996);
var ast80 = new ASTNode(new SyntaxHead("call", 8),ast79, 313, 345);
var ast81 = new ASTNode(new SyntaxHead("Identifier", 0),ast80, 314, 317);
var ast82 = new ASTNode(new SyntaxHead("==", 0),ast80, 319, 320);
var ast83 = new ASTNode(new SyntaxHead("macrocall", 0),ast80, 322, 345);
var ast84 = new ASTNode(new SyntaxHead(".", 0),ast83, 322, 334);
var ast85 = new ASTNode(new SyntaxHead("Identifier", 0),ast84, 322, 332);
var ast86 = new ASTNode(new SyntaxHead("quote", 0),ast84, 334, 334);
var ast87 = new ASTNode(new SyntaxHead("StringMacroName", 0),ast86, 334, 334);
ast86.children = [ast87];
ast84.children = [ast85,ast86];
var ast88 = new ASTNode(new SyntaxHead("string", 64),ast83, 335, 345);
var ast89 = new ASTNode(new SyntaxHead("String", 64),ast88, 336, 344);
ast88.children = [ast89];
ast83.children = [ast84,ast88];
ast80.children = [ast81,ast82,ast83];
var ast90 = new ASTNode(new SyntaxHead("block", 0),ast79, 346, 479);
var ast91 = new ASTNode(new SyntaxHead("=", 128),ast90, 355, 457);
var ast92 = new ASTNode(new SyntaxHead("Identifier", 0),ast91, 355, 355);
var ast93 = new ASTNode(new SyntaxHead("call", 0),ast91, 359, 457);
var ast94 = new ASTNode(new SyntaxHead("Identifier", 0),ast93, 359, 362);
var ast95 = new ASTNode(new SyntaxHead("call", 0),ast93, 364, 417);
var ast96 = new ASTNode(new SyntaxHead("Identifier", 0),ast95, 364, 366);
var ast97 = new ASTNode(new SyntaxHead("->", 0),ast95, 368, 397);
var ast98 = new ASTNode(new SyntaxHead("Identifier", 0),ast97, 368, 368);
var ast99 = new ASTNode(new SyntaxHead("call", 0),ast97, 371, 397);
var ast100 = new ASTNode(new SyntaxHead("Identifier", 0),ast99, 371, 386);
var ast101 = new ASTNode(new SyntaxHead("call", 0),ast99, 388, 396);
var ast102 = new ASTNode(new SyntaxHead("Identifier", 0),ast101, 388, 393);
var ast103 = new ASTNode(new SyntaxHead("Identifier", 0),ast101, 395, 395);
ast101.children = [ast102,ast103];
ast99.children = [ast100,ast101];
ast97.children = [ast98,ast99];
var ast104 = new ASTNode(new SyntaxHead("call", 0),ast95, 400, 416);
var ast105 = new ASTNode(new SyntaxHead("Identifier", 0),ast104, 400, 404);
var ast106 = new ASTNode(new SyntaxHead("Identifier", 0),ast104, 406, 409);
var ast107 = new ASTNode(new SyntaxHead("char", 0),ast104, 412, 415);
var ast108 = new ASTNode(new SyntaxHead("Char", 0),ast107, 413, 414);
ast107.children = [ast108];
ast104.children = [ast105,ast106,ast107];
ast95.children = [ast96,ast97,ast104];
var ast109 = new ASTNode(new SyntaxHead("string", 32),ast93, 420, 456);
var ast110 = new ASTNode(new SyntaxHead("String", 0),ast109, 423, 453);
ast109.children = [ast110];
ast93.children = [ast94,ast95,ast109];
ast91.children = [ast92,ast93];
var ast111 = new ASTNode(new SyntaxHead("return", 0),ast90, 467, 474);
var ast112 = new ASTNode(new SyntaxHead("Identifier", 0),ast111, 474, 474);
ast111.children = [ast112];
ast90.children = [ast91,ast111];
var ast113 = new ASTNode(new SyntaxHead("elseif", 0),ast79, 480, 993);
var ast114 = new ASTNode(new SyntaxHead("call", 8),ast113, 486, 519);
var ast115 = new ASTNode(new SyntaxHead("Identifier", 0),ast114, 487, 490);
var ast116 = new ASTNode(new SyntaxHead("==", 0),ast114, 492, 493);
var ast117 = new ASTNode(new SyntaxHead("macrocall", 0),ast114, 495, 519);
var ast118 = new ASTNode(new SyntaxHead(".", 0),ast117, 495, 507);
var ast119 = new ASTNode(new SyntaxHead("Identifier", 0),ast118, 495, 505);
var ast120 = new ASTNode(new SyntaxHead("quote", 0),ast118, 507, 507);
var ast121 = new ASTNode(new SyntaxHead("StringMacroName", 0),ast120, 507, 507);
ast120.children = [ast121];
ast118.children = [ast119,ast120];
var ast122 = new ASTNode(new SyntaxHead("string", 64),ast117, 508, 519);
var ast123 = new ASTNode(new SyntaxHead("String", 64),ast122, 509, 518);
ast122.children = [ast123];
ast117.children = [ast118,ast122];
ast114.children = [ast115,ast116,ast117];
var ast124 = new ASTNode(new SyntaxHead("block", 0),ast113, 520, 621);
var ast125 = new ASTNode(new SyntaxHead("=", 128),ast124, 529, 558);
var ast126 = new ASTNode(new SyntaxHead("Identifier", 0),ast125, 529, 532);
var ast127 = new ASTNode(new SyntaxHead("call", 0),ast125, 536, 558);
var ast128 = new ASTNode(new SyntaxHead("Identifier", 0),ast127, 536, 552);
var ast129 = new ASTNode(new SyntaxHead("Identifier", 0),ast127, 554, 557);
ast127.children = [ast128,ast129];
ast125.children = [ast126,ast127];
var ast130 = new ASTNode(new SyntaxHead("return", 0),ast124, 568, 616);
var ast131 = new ASTNode(new SyntaxHead("string", 32),ast130, 575, 616);
var ast132 = new ASTNode(new SyntaxHead("String", 0),ast131, 578, 601);
var ast133 = new ASTNode(new SyntaxHead("Identifier", 0),ast131, 603, 606);
var ast134 = new ASTNode(new SyntaxHead("String", 0),ast131, 607, 613);
ast131.children = [ast132,ast133,ast134];
ast130.children = [ast131];
ast124.children = [ast125,ast130];
var ast135 = new ASTNode(new SyntaxHead("block", 0),ast113, 626, 993);
var ast136 = new ASTNode(new SyntaxHead("=", 128),ast135, 635, 657);
var ast137 = new ASTNode(new SyntaxHead("Identifier", 0),ast136, 635, 638);
var ast138 = new ASTNode(new SyntaxHead("call", 0),ast136, 642, 657);
var ast139 = new ASTNode(new SyntaxHead("Identifier", 0),ast138, 642, 651);
var ast140 = new ASTNode(new SyntaxHead("Identifier", 0),ast138, 653, 656);
ast138.children = [ast139,ast140];
ast136.children = [ast137,ast138];
var ast141 = new ASTNode(new SyntaxHead("if", 0),ast135, 667, 988);
var ast142 = new ASTNode(new SyntaxHead("call", 8),ast141, 669, 699);
var ast143 = new ASTNode(new SyntaxHead("Identifier", 0),ast142, 670, 673);
var ast144 = new ASTNode(new SyntaxHead("==", 0),ast142, 675, 676);
var ast145 = new ASTNode(new SyntaxHead("macrocall", 0),ast142, 678, 699);
var ast146 = new ASTNode(new SyntaxHead(".", 0),ast145, 678, 690);
var ast147 = new ASTNode(new SyntaxHead("Identifier", 0),ast146, 678, 688);
var ast148 = new ASTNode(new SyntaxHead("quote", 0),ast146, 690, 690);
var ast149 = new ASTNode(new SyntaxHead("StringMacroName", 0),ast148, 690, 690);
ast148.children = [ast149];
ast146.children = [ast147,ast148];
var ast150 = new ASTNode(new SyntaxHead("string", 64),ast145, 691, 699);
var ast151 = new ASTNode(new SyntaxHead("String", 64),ast150, 692, 698);
ast150.children = [ast151];
ast145.children = [ast146,ast150];
ast142.children = [ast143,ast144,ast145];
var ast152 = new ASTNode(new SyntaxHead("block", 0),ast141, 700, 768);
var ast153 = new ASTNode(new SyntaxHead("return", 0),ast152, 713, 759);
var ast154 = new ASTNode(new SyntaxHead("string", 32),ast153, 720, 759);
var ast155 = new ASTNode(new SyntaxHead("String", 0),ast154, 723, 744);
var ast156 = new ASTNode(new SyntaxHead("Identifier", 0),ast154, 746, 749);
var ast157 = new ASTNode(new SyntaxHead("String", 0),ast154, 750, 756);
ast154.children = [ast155,ast156,ast157];
ast153.children = [ast154];
ast152.children = [ast153];
var ast158 = new ASTNode(new SyntaxHead("elseif", 0),ast141, 769, 985);
var ast159 = new ASTNode(new SyntaxHead("call", 0),ast158, 776, 802);
var ast160 = new ASTNode(new SyntaxHead(".", 0),ast159, 776, 796);
var ast161 = new ASTNode(new SyntaxHead("Identifier", 0),ast160, 776, 786);
var ast162 = new ASTNode(new SyntaxHead("quote", 0),ast160, 788, 796);
var ast163 = new ASTNode(new SyntaxHead("Identifier", 0),ast162, 788, 796);
ast162.children = [ast163];
ast160.children = [ast161,ast162];
var ast164 = new ASTNode(new SyntaxHead("Identifier", 0),ast159, 798, 801);
ast159.children = [ast160,ast164];
var ast165 = new ASTNode(new SyntaxHead("block", 0),ast158, 803, 893);
var ast166 = new ASTNode(new SyntaxHead("return", 0),ast165, 817, 884);
var ast167 = new ASTNode(new SyntaxHead("string", 32),ast166, 824, 884);
var ast168 = new ASTNode(new SyntaxHead("String", 0),ast167, 827, 862);
var ast169 = new ASTNode(new SyntaxHead("Identifier", 0),ast167, 864, 868);
var ast170 = new ASTNode(new SyntaxHead("String", 0),ast167, 869, 869);
var ast171 = new ASTNode(new SyntaxHead("Identifier", 0),ast167, 871, 874);
var ast172 = new ASTNode(new SyntaxHead("String", 0),ast167, 875, 881);
ast167.children = [ast168,ast169,ast170,ast171,ast172];
ast166.children = [ast167];
ast165.children = [ast166];
var ast173 = new ASTNode(new SyntaxHead("block", 0),ast158, 898, 985);
var ast174 = new ASTNode(new SyntaxHead("return", 0),ast173, 911, 976);
var ast175 = new ASTNode(new SyntaxHead("string", 32),ast174, 918, 976);
var ast176 = new ASTNode(new SyntaxHead("String", 0),ast175, 921, 954);
var ast177 = new ASTNode(new SyntaxHead("Identifier", 0),ast175, 956, 960);
var ast178 = new ASTNode(new SyntaxHead("String", 0),ast175, 961, 961);
var ast179 = new ASTNode(new SyntaxHead("Identifier", 0),ast175, 963, 966);
var ast180 = new ASTNode(new SyntaxHead("String", 0),ast175, 967, 973);
ast175.children = [ast176,ast177,ast178,ast179,ast180];
ast174.children = [ast175];
ast173.children = [ast174];
ast158.children = [ast159,ast165,ast173];
ast141.children = [ast142,ast152,ast158];
ast135.children = [ast136,ast141];
ast113.children = [ast114,ast124,ast135];
ast79.children = [ast80,ast90,ast113];
ast27.children = [ast28,ast34,ast40,ast47,ast57,ast65,ast72,ast79];
ast5.children = [ast6,ast27];
var ast181 = new ASTNode(new SyntaxHead("function", 0),ast1, 1330, 1408);
var ast182 = new ASTNode(new SyntaxHead("::", 8),ast181, 1339, 1374);
var ast183 = new ASTNode(new SyntaxHead("call", 0),ast182, 1339, 1366);
var ast184 = new ASTNode(new SyntaxHead("Identifier", 0),ast183, 1339, 1355);
var ast185 = new ASTNode(new SyntaxHead("::", 8),ast183, 1357, 1365);
var ast186 = new ASTNode(new SyntaxHead("Identifier", 0),ast185, 1357, 1357);
var ast187 = new ASTNode(new SyntaxHead("Identifier", 0),ast185, 1360, 1365);
ast185.children = [ast186,ast187];
ast183.children = [ast184,ast185];
var ast188 = new ASTNode(new SyntaxHead("Identifier", 0),ast182, 1369, 1374);
ast182.children = [ast183,ast188];
var ast189 = new ASTNode(new SyntaxHead("block", 0),ast181, 1375, 1405);
var ast190 = new ASTNode(new SyntaxHead("call", 0),ast189, 1380, 1404);
var ast191 = new ASTNode(new SyntaxHead("Identifier", 0),ast190, 1380, 1386);
var ast192 = new ASTNode(new SyntaxHead("Identifier", 0),ast190, 1388, 1388);
var ast193 = new ASTNode(new SyntaxHead("call", 8),ast190, 1391, 1403);
var ast194 = new ASTNode(new SyntaxHead("char", 0),ast193, 1391, 1393);
var ast195 = new ASTNode(new SyntaxHead("Char", 0),ast194, 1392, 1392);
ast194.children = [ast195];
var ast196 = new ASTNode(new SyntaxHead("=>", 0),ast193, 1394, 1395);
var ast197 = new ASTNode(new SyntaxHead("string", 0),ast193, 1396, 1403);
var ast198 = new ASTNode(new SyntaxHead("String", 0),ast197, 1397, 1402);
ast197.children = [ast198];
ast193.children = [ast194,ast196,ast197];
ast190.children = [ast191,ast192,ast193];
ast189.children = [ast190];
ast181.children = [ast182,ast189];
var ast199 = new ASTNode(new SyntaxHead("function", 0),ast1, 1411, 1488);
var ast200 = new ASTNode(new SyntaxHead("::", 8),ast199, 1420, 1454);
var ast201 = new ASTNode(new SyntaxHead("call", 0),ast200, 1420, 1446);
var ast202 = new ASTNode(new SyntaxHead("Identifier", 0),ast201, 1420, 1435);
var ast203 = new ASTNode(new SyntaxHead("::", 8),ast201, 1437, 1445);
var ast204 = new ASTNode(new SyntaxHead("Identifier", 0),ast203, 1437, 1437);
var ast205 = new ASTNode(new SyntaxHead("Identifier", 0),ast203, 1440, 1445);
ast203.children = [ast204,ast205];
ast201.children = [ast202,ast203];
var ast206 = new ASTNode(new SyntaxHead("Identifier", 0),ast200, 1449, 1454);
ast200.children = [ast201,ast206];
var ast207 = new ASTNode(new SyntaxHead("block", 0),ast199, 1455, 1485);
var ast208 = new ASTNode(new SyntaxHead("call", 0),ast207, 1460, 1484);
var ast209 = new ASTNode(new SyntaxHead("Identifier", 0),ast208, 1460, 1466);
var ast210 = new ASTNode(new SyntaxHead("Identifier", 0),ast208, 1468, 1468);
var ast211 = new ASTNode(new SyntaxHead("call", 8),ast208, 1471, 1483);
var ast212 = new ASTNode(new SyntaxHead("char", 0),ast211, 1471, 1473);
var ast213 = new ASTNode(new SyntaxHead("Char", 0),ast212, 1472, 1472);
ast212.children = [ast213];
var ast214 = new ASTNode(new SyntaxHead("=>", 0),ast211, 1474, 1475);
var ast215 = new ASTNode(new SyntaxHead("string", 0),ast211, 1476, 1483);
var ast216 = new ASTNode(new SyntaxHead("String", 0),ast215, 1477, 1482);
ast215.children = [ast216];
ast211.children = [ast212,ast214,ast215];
ast208.children = [ast209,ast210,ast211];
ast207.children = [ast208];
ast199.children = [ast200,ast207];
var ast217 = new ASTNode(new SyntaxHead("function", 0),ast1, 1491, 1729);
var ast218 = new ASTNode(new SyntaxHead("::", 8),ast217, 1500, 1528);
var ast219 = new ASTNode(new SyntaxHead("call", 0),ast218, 1500, 1520);
var ast220 = new ASTNode(new SyntaxHead("Identifier", 0),ast219, 1500, 1509);
var ast221 = new ASTNode(new SyntaxHead("::", 8),ast219, 1511, 1519);
var ast222 = new ASTNode(new SyntaxHead("Identifier", 0),ast221, 1511, 1511);
var ast223 = new ASTNode(new SyntaxHead("Identifier", 0),ast221, 1514, 1519);
ast221.children = [ast222,ast223];
ast219.children = [ast220,ast221];
var ast224 = new ASTNode(new SyntaxHead("Identifier", 0),ast218, 1523, 1528);
ast218.children = [ast219,ast224];
var ast225 = new ASTNode(new SyntaxHead("block", 0),ast217, 1529, 1726);
var ast226 = new ASTNode(new SyntaxHead("call", 0),ast225, 1534, 1725);
var ast227 = new ASTNode(new SyntaxHead("Identifier", 0),ast226, 1534, 1540);
var ast228 = new ASTNode(new SyntaxHead("Identifier", 0),ast226, 1542, 1542);
var ast229 = new ASTNode(new SyntaxHead("call", 8),ast226, 1545, 1555);
var ast230 = new ASTNode(new SyntaxHead("char", 0),ast229, 1545, 1547);
var ast231 = new ASTNode(new SyntaxHead("Char", 0),ast230, 1546, 1546);
ast230.children = [ast231];
var ast232 = new ASTNode(new SyntaxHead("=>", 0),ast229, 1548, 1549);
var ast233 = new ASTNode(new SyntaxHead("string", 0),ast229, 1550, 1555);
var ast234 = new ASTNode(new SyntaxHead("String", 0),ast233, 1551, 1554);
ast233.children = [ast234];
ast229.children = [ast230,ast232,ast233];
var ast235 = new ASTNode(new SyntaxHead("call", 8),ast226, 1574, 1584);
var ast236 = new ASTNode(new SyntaxHead("char", 0),ast235, 1574, 1576);
var ast237 = new ASTNode(new SyntaxHead("Char", 0),ast236, 1575, 1575);
ast236.children = [ast237];
var ast238 = new ASTNode(new SyntaxHead("=>", 0),ast235, 1577, 1578);
var ast239 = new ASTNode(new SyntaxHead("string", 0),ast235, 1579, 1584);
var ast240 = new ASTNode(new SyntaxHead("String", 0),ast239, 1580, 1583);
ast239.children = [ast240];
ast235.children = [ast236,ast238,ast239];
var ast241 = new ASTNode(new SyntaxHead("call", 8),ast226, 1603, 1614);
var ast242 = new ASTNode(new SyntaxHead("char", 0),ast241, 1603, 1605);
var ast243 = new ASTNode(new SyntaxHead("Char", 0),ast242, 1604, 1604);
ast242.children = [ast243];
var ast244 = new ASTNode(new SyntaxHead("=>", 0),ast241, 1606, 1607);
var ast245 = new ASTNode(new SyntaxHead("string", 0),ast241, 1608, 1614);
var ast246 = new ASTNode(new SyntaxHead("String", 0),ast245, 1609, 1613);
ast245.children = [ast246];
ast241.children = [ast242,ast244,ast245];
var ast247 = new ASTNode(new SyntaxHead("call", 8),ast226, 1633, 1646);
var ast248 = new ASTNode(new SyntaxHead("char", 0),ast247, 1633, 1636);
var ast249 = new ASTNode(new SyntaxHead("Char", 0),ast248, 1634, 1635);
ast248.children = [ast249];
var ast250 = new ASTNode(new SyntaxHead("=>", 0),ast247, 1637, 1638);
var ast251 = new ASTNode(new SyntaxHead("string", 0),ast247, 1639, 1646);
var ast252 = new ASTNode(new SyntaxHead("String", 0),ast251, 1640, 1645);
ast251.children = [ast252];
ast247.children = [ast248,ast250,ast251];
var ast253 = new ASTNode(new SyntaxHead("call", 8),ast226, 1665, 1678);
var ast254 = new ASTNode(new SyntaxHead("char", 0),ast253, 1665, 1667);
var ast255 = new ASTNode(new SyntaxHead("Char", 0),ast254, 1666, 1666);
ast254.children = [ast255];
var ast256 = new ASTNode(new SyntaxHead("=>", 0),ast253, 1668, 1669);
var ast257 = new ASTNode(new SyntaxHead("string", 0),ast253, 1671, 1678);
var ast258 = new ASTNode(new SyntaxHead("String", 0),ast257, 1672, 1677);
ast257.children = [ast258];
ast253.children = [ast254,ast256,ast257];
var ast259 = new ASTNode(new SyntaxHead("call", 8),ast226, 1696, 1708);
var ast260 = new ASTNode(new SyntaxHead("char", 0),ast259, 1696, 1698);
var ast261 = new ASTNode(new SyntaxHead("Char", 0),ast260, 1697, 1697);
ast260.children = [ast261];
var ast262 = new ASTNode(new SyntaxHead("=>", 0),ast259, 1699, 1700);
var ast263 = new ASTNode(new SyntaxHead("string", 0),ast259, 1701, 1708);
var ast264 = new ASTNode(new SyntaxHead("String", 0),ast263, 1702, 1707);
ast263.children = [ast264];
ast259.children = [ast260,ast262,ast263];
ast226.children = [ast227,ast228,ast229,ast235,ast241,ast247,ast253,ast259];
ast225.children = [ast226];
ast217.children = [ast218,ast225];
var ast265 = new ASTNode(new SyntaxHead("function", 0),ast1, 1732, 2077);
var ast266 = new ASTNode(new SyntaxHead("call", 0),ast265, 1741, 1842);
var ast267 = new ASTNode(new SyntaxHead("Identifier", 0),ast266, 1741, 1757);
var ast268 = new ASTNode(new SyntaxHead("Identifier", 0),ast266, 1759, 1761);
var ast269 = new ASTNode(new SyntaxHead("::", 8),ast266, 1764, 1776);
var ast270 = new ASTNode(new SyntaxHead("Identifier", 0),ast269, 1764, 1766);
var ast271 = new ASTNode(new SyntaxHead("curly", 0),ast269, 1769, 1776);
var ast272 = new ASTNode(new SyntaxHead("Identifier", 0),ast271, 1769, 1771);
var ast273 = new ASTNode(new SyntaxHead("Identifier", 0),ast271, 1773, 1775);
ast271.children = [ast272,ast273];
ast269.children = [ast270,ast271];
var ast274 = new ASTNode(new SyntaxHead("::", 8),ast266, 1779, 1789);
var ast275 = new ASTNode(new SyntaxHead("Identifier", 0),ast274, 1779, 1781);
var ast276 = new ASTNode(new SyntaxHead("Identifier", 0),ast274, 1784, 1789);
ast274.children = [ast275,ast276];
var ast277 = new ASTNode(new SyntaxHead("::", 8),ast266, 1792, 1841);
var ast278 = new ASTNode(new SyntaxHead("Identifier", 0),ast277, 1792, 1794);
var ast279 = new ASTNode(new SyntaxHead("curly", 0),ast277, 1797, 1841);
var ast280 = new ASTNode(new SyntaxHead(".", 0),ast279, 1797, 1817);
var ast281 = new ASTNode(new SyntaxHead("Identifier", 0),ast280, 1797, 1807);
var ast282 = new ASTNode(new SyntaxHead("quote", 0),ast280, 1809, 1817);
var ast283 = new ASTNode(new SyntaxHead("Identifier", 0),ast282, 1809, 1817);
ast282.children = [ast283];
ast280.children = [ast281,ast282];
var ast284 = new ASTNode(new SyntaxHead(".", 0),ast279, 1819, 1840);
var ast285 = new ASTNode(new SyntaxHead("Identifier", 0),ast284, 1819, 1829);
var ast286 = new ASTNode(new SyntaxHead("quote", 0),ast284, 1831, 1840);
var ast287 = new ASTNode(new SyntaxHead("Identifier", 0),ast286, 1831, 1840);
ast286.children = [ast287];
ast284.children = [ast285,ast286];
ast279.children = [ast280,ast284];
ast277.children = [ast278,ast279];
ast266.children = [ast267,ast268,ast269,ast274,ast277];
var ast288 = new ASTNode(new SyntaxHead("block", 0),ast265, 1843, 2074);
var ast289 = new ASTNode(new SyntaxHead("=", 128),ast288, 1848, 1866);
var ast290 = new ASTNode(new SyntaxHead("Identifier", 0),ast289, 1848, 1855);
var ast291 = new ASTNode(new SyntaxHead(".", 0),ast289, 1859, 1866);
var ast292 = new ASTNode(new SyntaxHead("Identifier", 0),ast291, 1859, 1861);
var ast293 = new ASTNode(new SyntaxHead("quote", 0),ast291, 1863, 1866);
var ast294 = new ASTNode(new SyntaxHead("Identifier", 0),ast293, 1863, 1866);
ast293.children = [ast294];
ast291.children = [ast292,ast293];
ast289.children = [ast290,ast291];
var ast295 = new ASTNode(new SyntaxHead("if", 0),ast288, 1872, 2073);
var ast296 = new ASTNode(new SyntaxHead("call", 8),ast295, 1874, 1894);
var ast297 = new ASTNode(new SyntaxHead("Identifier", 0),ast296, 1875, 1882);
var ast298 = new ASTNode(new SyntaxHead("isa", 0),ast296, 1884, 1886);
var ast299 = new ASTNode(new SyntaxHead("curly", 0),ast296, 1888, 1894);
var ast300 = new ASTNode(new SyntaxHead("Identifier", 0),ast299, 1888, 1892);
ast299.children = [ast300];
ast296.children = [ast297,ast298,ast299];
var ast301 = new ASTNode(new SyntaxHead("block", 0),ast295, 1895, 1950);
var ast302 = new ASTNode(new SyntaxHead("call", 0),ast301, 1904, 1945);
var ast303 = new ASTNode(new SyntaxHead("Identifier", 0),ast302, 1904, 1908);
var ast304 = new ASTNode(new SyntaxHead("Identifier", 0),ast302, 1910, 1912);
var ast305 = new ASTNode(new SyntaxHead("call", 0),ast302, 1915, 1944);
var ast306 = new ASTNode(new SyntaxHead("Identifier", 0),ast305, 1915, 1929);
var ast307 = new ASTNode(new SyntaxHead("Identifier", 0),ast305, 1931, 1933);
var ast308 = new ASTNode(new SyntaxHead("Identifier", 0),ast305, 1936, 1938);
var ast309 = new ASTNode(new SyntaxHead("Identifier", 0),ast305, 1941, 1943);
ast305.children = [ast306,ast307,ast308,ast309];
ast302.children = [ast303,ast304,ast305];
ast301.children = [ast302];
var ast310 = new ASTNode(new SyntaxHead("block", 0),ast295, 1955, 2070);
var ast311 = new ASTNode(new SyntaxHead("for", 0),ast310, 1989, 2065);
var ast312 = new ASTNode(new SyntaxHead("=", 0),ast311, 1992, 2005);
var ast313 = new ASTNode(new SyntaxHead("Identifier", 0),ast312, 1993, 1993);
var ast314 = new ASTNode(new SyntaxHead("Identifier", 0),ast312, 1998, 2005);
ast312.children = [ast313,ast314];
var ast315 = new ASTNode(new SyntaxHead("block", 0),ast311, 2006, 2062);
var ast316 = new ASTNode(new SyntaxHead("call", 0),ast315, 2019, 2053);
var ast317 = new ASTNode(new SyntaxHead("Identifier", 0),ast316, 2019, 2035);
var ast318 = new ASTNode(new SyntaxHead("Identifier", 0),ast316, 2037, 2039);
var ast319 = new ASTNode(new SyntaxHead("Identifier", 0),ast316, 2042, 2044);
var ast320 = new ASTNode(new SyntaxHead("Identifier", 0),ast316, 2047, 2049);
var ast321 = new ASTNode(new SyntaxHead("Identifier", 0),ast316, 2052, 2052);
ast316.children = [ast317,ast318,ast319,ast320,ast321];
ast315.children = [ast316];
ast311.children = [ast312,ast315];
ast310.children = [ast311];
ast295.children = [ast296,ast301,ast310];
ast288.children = [ast289,ast295];
ast265.children = [ast266,ast288];
var ast322 = new ASTNode(new SyntaxHead("function", 0),ast1, 2080, 2281);
var ast323 = new ASTNode(new SyntaxHead("call", 0),ast322, 2089, 2169);
var ast324 = new ASTNode(new SyntaxHead("Identifier", 0),ast323, 2089, 2104);
var ast325 = new ASTNode(new SyntaxHead("::", 8),ast323, 2106, 2116);
var ast326 = new ASTNode(new SyntaxHead("Identifier", 0),ast325, 2106, 2108);
var ast327 = new ASTNode(new SyntaxHead("Identifier", 0),ast325, 2111, 2116);
ast325.children = [ast326,ast327];
var ast328 = new ASTNode(new SyntaxHead("::", 8),ast323, 2119, 2168);
var ast329 = new ASTNode(new SyntaxHead("Identifier", 0),ast328, 2119, 2121);
var ast330 = new ASTNode(new SyntaxHead("curly", 0),ast328, 2124, 2168);
var ast331 = new ASTNode(new SyntaxHead(".", 0),ast330, 2124, 2144);
var ast332 = new ASTNode(new SyntaxHead("Identifier", 0),ast331, 2124, 2134);
var ast333 = new ASTNode(new SyntaxHead("quote", 0),ast331, 2136, 2144);
var ast334 = new ASTNode(new SyntaxHead("Identifier", 0),ast333, 2136, 2144);
ast333.children = [ast334];
ast331.children = [ast332,ast333];
var ast335 = new ASTNode(new SyntaxHead(".", 0),ast330, 2146, 2167);
var ast336 = new ASTNode(new SyntaxHead("Identifier", 0),ast335, 2146, 2156);
var ast337 = new ASTNode(new SyntaxHead("quote", 0),ast335, 2158, 2167);
var ast338 = new ASTNode(new SyntaxHead("Identifier", 0),ast337, 2158, 2167);
ast337.children = [ast338];
ast335.children = [ast336,ast337];
ast330.children = [ast331,ast335];
ast328.children = [ast329,ast330];
ast323.children = [ast324,ast325,ast328];
var ast339 = new ASTNode(new SyntaxHead("block", 0),ast322, 2170, 2278);
var ast340 = new ASTNode(new SyntaxHead("=", 128),ast339, 2175, 2188);
var ast341 = new ASTNode(new SyntaxHead("Identifier", 0),ast340, 2175, 2177);
var ast342 = new ASTNode(new SyntaxHead("ref", 0),ast340, 2181, 2188);
var ast343 = new ASTNode(new SyntaxHead("Identifier", 0),ast342, 2181, 2186);
ast342.children = [ast343];
ast340.children = [ast341,ast342];
var ast344 = new ASTNode(new SyntaxHead("=", 128),ast339, 2194, 2220);
var ast345 = new ASTNode(new SyntaxHead("::", 8),ast344, 2194, 2206);
var ast346 = new ASTNode(new SyntaxHead("Identifier", 0),ast345, 2194, 2196);
var ast347 = new ASTNode(new SyntaxHead("curly", 0),ast345, 2199, 2206);
var ast348 = new ASTNode(new SyntaxHead("Identifier", 0),ast347, 2199, 2201);
var ast349 = new ASTNode(new SyntaxHead("Identifier", 0),ast347, 2203, 2205);
ast347.children = [ast348,ast349];
ast345.children = [ast346,ast347];
var ast350 = new ASTNode(new SyntaxHead("call", 0),ast344, 2210, 2220);
var ast351 = new ASTNode(new SyntaxHead("curly", 0),ast350, 2210, 2217);
var ast352 = new ASTNode(new SyntaxHead("Identifier", 0),ast351, 2210, 2212);
var ast353 = new ASTNode(new SyntaxHead("Identifier", 0),ast351, 2214, 2216);
ast351.children = [ast352,ast353];
var ast354 = new ASTNode(new SyntaxHead("Integer", 0),ast350, 2219, 2219);
ast350.children = [ast351,ast354];
ast344.children = [ast345,ast350];
var ast355 = new ASTNode(new SyntaxHead("call", 0),ast339, 2226, 2262);
var ast356 = new ASTNode(new SyntaxHead("Identifier", 0),ast355, 2226, 2242);
var ast357 = new ASTNode(new SyntaxHead("Identifier", 0),ast355, 2244, 2246);
var ast358 = new ASTNode(new SyntaxHead("Identifier", 0),ast355, 2249, 2251);
var ast359 = new ASTNode(new SyntaxHead("Identifier", 0),ast355, 2254, 2256);
var ast360 = new ASTNode(new SyntaxHead("Identifier", 0),ast355, 2259, 2261);
ast355.children = [ast356,ast357,ast358,ast359,ast360];
var ast361 = new ASTNode(new SyntaxHead("return", 0),ast339, 2268, 2277);
var ast362 = new ASTNode(new SyntaxHead("Identifier", 0),ast361, 2275, 2277);
ast361.children = [ast362];
ast339.children = [ast340,ast344,ast355,ast361];
ast322.children = [ast323,ast339];
var ast363 = new ASTNode(new SyntaxHead("function", 0),ast1, 2284, 2563);
var ast364 = new ASTNode(new SyntaxHead("call", 0),ast363, 2293, 2337);
var ast365 = new ASTNode(new SyntaxHead("Identifier", 0),ast364, 2293, 2307);
var ast366 = new ASTNode(new SyntaxHead("::", 8),ast364, 2309, 2319);
var ast367 = new ASTNode(new SyntaxHead("Identifier", 0),ast366, 2309, 2311);
var ast368 = new ASTNode(new SyntaxHead("Identifier", 0),ast366, 2314, 2319);
ast366.children = [ast367,ast368];
var ast369 = new ASTNode(new SyntaxHead("parameters", 0),ast364, 2320, 2336);
var ast370 = new ASTNode(new SyntaxHead("::", 8),ast369, 2321, 2336);
var ast371 = new ASTNode(new SyntaxHead("Identifier", 0),ast370, 2321, 2328);
var ast372 = new ASTNode(new SyntaxHead("Identifier", 0),ast370, 2331, 2336);
ast370.children = [ast371,ast372];
ast369.children = [ast370];
ast364.children = [ast365,ast366,ast369];
var ast373 = new ASTNode(new SyntaxHead("block", 0),ast363, 2338, 2560);
var ast374 = new ASTNode(new SyntaxHead("=", 128),ast373, 2343, 2415);
var ast375 = new ASTNode(new SyntaxHead("Identifier", 0),ast374, 2343, 2345);
var ast376 = new ASTNode(new SyntaxHead("call", 0),ast374, 2349, 2415);
var ast377 = new ASTNode(new SyntaxHead(".", 0),ast376, 2349, 2368);
var ast378 = new ASTNode(new SyntaxHead("Identifier", 0),ast377, 2349, 2359);
var ast379 = new ASTNode(new SyntaxHead("quote", 0),ast377, 2361, 2368);
var ast380 = new ASTNode(new SyntaxHead("Identifier", 0),ast379, 2361, 2368);
ast379.children = [ast380];
ast377.children = [ast378,ast379];
var ast381 = new ASTNode(new SyntaxHead(".", 0),ast376, 2370, 2391);
var ast382 = new ASTNode(new SyntaxHead("Identifier", 0),ast381, 2370, 2380);
var ast383 = new ASTNode(new SyntaxHead("quote", 0),ast381, 2382, 2391);
var ast384 = new ASTNode(new SyntaxHead("Identifier", 0),ast383, 2382, 2391);
ast383.children = [ast384];
ast381.children = [ast382,ast383];
var ast385 = new ASTNode(new SyntaxHead("Identifier", 0),ast376, 2394, 2396);
var ast386 = new ASTNode(new SyntaxHead("parameters", 0),ast376, 2397, 2414);
var ast387 = new ASTNode(new SyntaxHead("=", 0),ast386, 2398, 2414);
var ast388 = new ASTNode(new SyntaxHead("Identifier", 0),ast387, 2398, 2405);
var ast389 = new ASTNode(new SyntaxHead("Identifier", 0),ast387, 2407, 2414);
ast387.children = [ast388,ast389];
ast386.children = [ast387];
ast376.children = [ast377,ast381,ast385,ast386];
ast374.children = [ast375,ast376];
var ast390 = new ASTNode(new SyntaxHead("=", 128),ast373, 2421, 2461);
var ast391 = new ASTNode(new SyntaxHead("Identifier", 0),ast390, 2421, 2423);
var ast392 = new ASTNode(new SyntaxHead("call", 0),ast390, 2427, 2461);
var ast393 = new ASTNode(new SyntaxHead("Identifier", 0),ast392, 2427, 2442);
var ast394 = new ASTNode(new SyntaxHead("Identifier", 0),ast392, 2444, 2446);
var ast395 = new ASTNode(new SyntaxHead(".", 0),ast392, 2449, 2460);
var ast396 = new ASTNode(new SyntaxHead(".", 0),ast395, 2449, 2456);
var ast397 = new ASTNode(new SyntaxHead("Identifier", 0),ast396, 2449, 2451);
var ast398 = new ASTNode(new SyntaxHead("quote", 0),ast396, 2453, 2456);
var ast399 = new ASTNode(new SyntaxHead("Identifier", 0),ast398, 2453, 2456);
ast398.children = [ast399];
ast396.children = [ast397,ast398];
var ast400 = new ASTNode(new SyntaxHead("quote", 0),ast395, 2458, 2460);
var ast401 = new ASTNode(new SyntaxHead("Identifier", 0),ast400, 2458, 2460);
ast400.children = [ast401];
ast395.children = [ast396,ast400];
ast392.children = [ast393,ast394,ast395];
ast390.children = [ast391,ast392];
var ast402 = new ASTNode(new SyntaxHead("call", 0),ast373, 2551, 2559);
var ast403 = new ASTNode(new SyntaxHead("Identifier", 0),ast402, 2551, 2554);
var ast404 = new ASTNode(new SyntaxHead("Identifier", 0),ast402, 2556, 2558);
ast402.children = [ast403,ast404];
ast373.children = [ast374,ast390,ast402];
ast363.children = [ast364,ast373];
var ast405 = new ASTNode(new SyntaxHead("function", 0),ast1, 2567, 3132);
var ast406 = new ASTNode(new SyntaxHead("call", 0),ast405, 2576, 2590);
var ast407 = new ASTNode(new SyntaxHead("Identifier", 0),ast406, 2576, 2579);
var ast408 = new ASTNode(new SyntaxHead("::", 8),ast406, 2581, 2589);
var ast409 = new ASTNode(new SyntaxHead("Identifier", 0),ast408, 2581, 2581);
var ast410 = new ASTNode(new SyntaxHead("Identifier", 0),ast408, 2584, 2589);
ast408.children = [ast409,ast410];
ast406.children = [ast407,ast408];
var ast411 = new ASTNode(new SyntaxHead("block", 0),ast405, 2591, 3129);
var ast412 = new ASTNode(new SyntaxHead("return", 0),ast411, 2592, 3128);
var ast413 = new ASTNode(new SyntaxHead("string", 32),ast412, 2599, 3128);
var ast414 = new ASTNode(new SyntaxHead("String", 0),ast413, 2603, 2618);
var ast415 = new ASTNode(new SyntaxHead("String", 0),ast413, 2619, 2635);
var ast416 = new ASTNode(new SyntaxHead("String", 0),ast413, 2636, 2644);
var ast417 = new ASTNode(new SyntaxHead("String", 0),ast413, 2645, 2671);
var ast418 = new ASTNode(new SyntaxHead("String", 0),ast413, 2672, 2696);
var ast419 = new ASTNode(new SyntaxHead("String", 0),ast413, 2697, 2743);
var ast420 = new ASTNode(new SyntaxHead("String", 0),ast413, 2744, 2753);
var ast421 = new ASTNode(new SyntaxHead("String", 0),ast413, 2754, 2762);
var ast422 = new ASTNode(new SyntaxHead("String", 0),ast413, 2763, 2782);
var ast423 = new ASTNode(new SyntaxHead("String", 0),ast413, 2783, 2814);
var ast424 = new ASTNode(new SyntaxHead("String", 0),ast413, 2815, 2847);
var ast425 = new ASTNode(new SyntaxHead("String", 0),ast413, 2848, 2896);
var ast426 = new ASTNode(new SyntaxHead("String", 0),ast413, 2897, 2951);
var ast427 = new ASTNode(new SyntaxHead("String", 0),ast413, 2952, 2974);
var ast428 = new ASTNode(new SyntaxHead("String", 0),ast413, 2975, 3002);
var ast429 = new ASTNode(new SyntaxHead("String", 0),ast413, 3003, 3004);
var ast430 = new ASTNode(new SyntaxHead("Identifier", 0),ast413, 3006, 3006);
var ast431 = new ASTNode(new SyntaxHead("String", 0),ast413, 3007, 3007);
var ast432 = new ASTNode(new SyntaxHead("String", 0),ast413, 3008, 3016);
var ast433 = new ASTNode(new SyntaxHead("String", 0),ast413, 3017, 3025);
var ast434 = new ASTNode(new SyntaxHead("String", 0),ast413, 3026, 3034);
var ast435 = new ASTNode(new SyntaxHead("String", 0),ast413, 3035, 3043);
var ast436 = new ASTNode(new SyntaxHead("String", 0),ast413, 3044, 3052);
var ast437 = new ASTNode(new SyntaxHead("String", 0),ast413, 3053, 3061);
var ast438 = new ASTNode(new SyntaxHead("String", 0),ast413, 3062, 3070);
var ast439 = new ASTNode(new SyntaxHead("String", 0),ast413, 3071, 3107);
var ast440 = new ASTNode(new SyntaxHead("String", 0),ast413, 3108, 3117);
var ast441 = new ASTNode(new SyntaxHead("String", 0),ast413, 3118, 3125);
ast413.children = [ast414,ast415,ast416,ast417,ast418,ast419,ast420,ast421,ast422,ast423,ast424,ast425,ast426,ast427,ast428,ast429,ast430,ast431,ast432,ast433,ast434,ast435,ast436,ast437,ast438,ast439,ast440,ast441];
ast412.children = [ast413];
ast411.children = [ast412];
ast405.children = [ast406,ast411];
var ast442 = new ASTNode(new SyntaxHead("struct", 0),ast1, 3137, 3368);
var ast443 = new ASTNode(new SyntaxHead("true", 0),ast442, 3144, 3143);
var ast444 = new ASTNode(new SyntaxHead("Identifier", 0),ast442, 3152, 3167);
var ast445 = new ASTNode(new SyntaxHead("block", 0),ast442, 3168, 3365);
var ast446 = new ASTNode(new SyntaxHead("const", 0),ast445, 3173, 3206);
var ast447 = new ASTNode(new SyntaxHead("::", 8),ast446, 3179, 3206);
var ast448 = new ASTNode(new SyntaxHead("Identifier", 0),ast447, 3179, 3182);
var ast449 = new ASTNode(new SyntaxHead(".", 0),ast447, 3185, 3206);
var ast450 = new ASTNode(new SyntaxHead("Identifier", 0),ast449, 3185, 3195);
var ast451 = new ASTNode(new SyntaxHead("quote", 0),ast449, 3197, 3206);
var ast452 = new ASTNode(new SyntaxHead("Identifier", 0),ast451, 3197, 3206);
ast451.children = [ast452];
ast449.children = [ast450,ast451];
ast447.children = [ast448,ast449];
ast446.children = [ast447];
var ast453 = new ASTNode(new SyntaxHead("const", 0),ast445, 3212, 3229);
var ast454 = new ASTNode(new SyntaxHead("::", 8),ast453, 3218, 3229);
var ast455 = new ASTNode(new SyntaxHead("Identifier", 0),ast454, 3218, 3221);
var ast456 = new ASTNode(new SyntaxHead("Identifier", 0),ast454, 3224, 3229);
ast454.children = [ast455,ast456];
ast453.children = [ast454];
var ast457 = new ASTNode(new SyntaxHead("const", 0),ast445, 3235, 3286);
var ast458 = new ASTNode(new SyntaxHead("::", 8),ast457, 3241, 3286);
var ast459 = new ASTNode(new SyntaxHead("Identifier", 0),ast458, 3241, 3244);
var ast460 = new ASTNode(new SyntaxHead("curly", 0),ast458, 3247, 3286);
var ast461 = new ASTNode(new SyntaxHead("Identifier", 0),ast460, 3247, 3251);
var ast462 = new ASTNode(new SyntaxHead("curly", 0),ast460, 3253, 3259);
var ast463 = new ASTNode(new SyntaxHead("Identifier", 0),ast462, 3253, 3257);
ast462.children = [ast463];
var ast464 = new ASTNode(new SyntaxHead("curly", 0),ast460, 3262, 3285);
var ast465 = new ASTNode(new SyntaxHead("Identifier", 0),ast464, 3262, 3267);
var ast466 = new ASTNode(new SyntaxHead("Identifier", 0),ast464, 3269, 3284);
ast464.children = [ast465,ast466];
ast460.children = [ast461,ast462,ast464];
ast458.children = [ast459,ast460];
ast457.children = [ast458];
var ast467 = new ASTNode(new SyntaxHead("::", 8),ast445, 3292, 3364);
var ast468 = new ASTNode(new SyntaxHead("Identifier", 0),ast467, 3292, 3302);
var ast469 = new ASTNode(new SyntaxHead("curly", 0),ast467, 3305, 3364);
var ast470 = new ASTNode(new SyntaxHead("Identifier", 0),ast469, 3305, 3309);
var ast471 = new ASTNode(new SyntaxHead("Identifier", 0),ast469, 3311, 3317);
var ast472 = new ASTNode(new SyntaxHead("curly", 0),ast469, 3320, 3363);
var ast473 = new ASTNode(new SyntaxHead(".", 0),ast472, 3320, 3339);
var ast474 = new ASTNode(new SyntaxHead("Identifier", 0),ast473, 3320, 3330);
var ast475 = new ASTNode(new SyntaxHead("quote", 0),ast473, 3332, 3339);
var ast476 = new ASTNode(new SyntaxHead("Identifier", 0),ast475, 3332, 3339);
ast475.children = [ast476];
ast473.children = [ast474,ast475];
var ast477 = new ASTNode(new SyntaxHead(".", 0),ast472, 3341, 3362);
var ast478 = new ASTNode(new SyntaxHead("Identifier", 0),ast477, 3341, 3351);
var ast479 = new ASTNode(new SyntaxHead("quote", 0),ast477, 3353, 3362);
var ast480 = new ASTNode(new SyntaxHead("Identifier", 0),ast479, 3353, 3362);
ast479.children = [ast480];
ast477.children = [ast478,ast479];
ast472.children = [ast473,ast477];
ast469.children = [ast470,ast471,ast472];
ast467.children = [ast468,ast469];
ast445.children = [ast446,ast453,ast457,ast467];
ast442.children = [ast443,ast444,ast445];
var ast481 = new ASTNode(new SyntaxHead("struct", 0),ast1, 3371, 3499);
var ast482 = new ASTNode(new SyntaxHead("true", 0),ast481, 3378, 3377);
var ast483 = new ASTNode(new SyntaxHead("Identifier", 0),ast481, 3386, 3400);
var ast484 = new ASTNode(new SyntaxHead("block", 0),ast481, 3401, 3496);
var ast485 = new ASTNode(new SyntaxHead("const", 0),ast484, 3406, 3460);
var ast486 = new ASTNode(new SyntaxHead("::", 8),ast485, 3412, 3460);
var ast487 = new ASTNode(new SyntaxHead("Identifier", 0),ast486, 3412, 3414);
var ast488 = new ASTNode(new SyntaxHead("curly", 0),ast486, 3417, 3460);
var ast489 = new ASTNode(new SyntaxHead(".", 0),ast488, 3417, 3436);
var ast490 = new ASTNode(new SyntaxHead("Identifier", 0),ast489, 3417, 3427);
var ast491 = new ASTNode(new SyntaxHead("quote", 0),ast489, 3429, 3436);
var ast492 = new ASTNode(new SyntaxHead("Identifier", 0),ast491, 3429, 3436);
ast491.children = [ast492];
ast489.children = [ast490,ast491];
var ast493 = new ASTNode(new SyntaxHead(".", 0),ast488, 3438, 3459);
var ast494 = new ASTNode(new SyntaxHead("Identifier", 0),ast493, 3438, 3448);
var ast495 = new ASTNode(new SyntaxHead("quote", 0),ast493, 3450, 3459);
var ast496 = new ASTNode(new SyntaxHead("Identifier", 0),ast495, 3450, 3459);
ast495.children = [ast496];
ast493.children = [ast494,ast495];
ast488.children = [ast489,ast493];
ast486.children = [ast487,ast488];
ast485.children = [ast486];
var ast497 = new ASTNode(new SyntaxHead("const", 0),ast484, 3466, 3495);
var ast498 = new ASTNode(new SyntaxHead("::", 8),ast497, 3472, 3495);
var ast499 = new ASTNode(new SyntaxHead("Identifier", 0),ast498, 3472, 3477);
var ast500 = new ASTNode(new SyntaxHead("Identifier", 0),ast498, 3480, 3495);
ast498.children = [ast499,ast500];
ast497.children = [ast498];
ast484.children = [ast485,ast497];
ast481.children = [ast482,ast483,ast484];
var ast501 = new ASTNode(new SyntaxHead("function", 0),ast1, 3502, 3914);
var ast502 = new ASTNode(new SyntaxHead("::", 8),ast501, 3511, 3601);
var ast503 = new ASTNode(new SyntaxHead("call", 0),ast502, 3511, 3595);
var ast504 = new ASTNode(new SyntaxHead("Identifier", 0),ast503, 3511, 3533);
var ast505 = new ASTNode(new SyntaxHead("::", 8),ast503, 3535, 3542);
var ast506 = new ASTNode(new SyntaxHead("Identifier", 0),ast505, 3535, 3537);
var ast507 = new ASTNode(new SyntaxHead("Identifier", 0),ast505, 3540, 3542);
ast505.children = [ast506,ast507];
var ast508 = new ASTNode(new SyntaxHead("::", 8),ast503, 3545, 3594);
var ast509 = new ASTNode(new SyntaxHead("Identifier", 0),ast508, 3545, 3547);
var ast510 = new ASTNode(new SyntaxHead("curly", 0),ast508, 3550, 3594);
var ast511 = new ASTNode(new SyntaxHead(".", 0),ast510, 3550, 3570);
var ast512 = new ASTNode(new SyntaxHead("Identifier", 0),ast511, 3550, 3560);
var ast513 = new ASTNode(new SyntaxHead("quote", 0),ast511, 3562, 3570);
var ast514 = new ASTNode(new SyntaxHead("Identifier", 0),ast513, 3562, 3570);
ast513.children = [ast514];
ast511.children = [ast512,ast513];
var ast515 = new ASTNode(new SyntaxHead(".", 0),ast510, 3572, 3593);
var ast516 = new ASTNode(new SyntaxHead("Identifier", 0),ast515, 3572, 3582);
var ast517 = new ASTNode(new SyntaxHead("quote", 0),ast515, 3584, 3593);
var ast518 = new ASTNode(new SyntaxHead("Identifier", 0),ast517, 3584, 3593);
ast517.children = [ast518];
ast515.children = [ast516,ast517];
ast510.children = [ast511,ast515];
ast508.children = [ast509,ast510];
ast503.children = [ast504,ast505,ast508];
var ast519 = new ASTNode(new SyntaxHead("Identifier", 0),ast502, 3598, 3601);
ast502.children = [ast503,ast519];
var ast520 = new ASTNode(new SyntaxHead("block", 0),ast501, 3602, 3911);
var ast521 = new ASTNode(new SyntaxHead("=", 128),ast520, 3607, 3621);
var ast522 = new ASTNode(new SyntaxHead("Identifier", 0),ast521, 3607, 3610);
var ast523 = new ASTNode(new SyntaxHead(".", 0),ast521, 3614, 3621);
var ast524 = new ASTNode(new SyntaxHead("Identifier", 0),ast523, 3614, 3616);
var ast525 = new ASTNode(new SyntaxHead("quote", 0),ast523, 3618, 3621);
var ast526 = new ASTNode(new SyntaxHead("Identifier", 0),ast525, 3618, 3621);
ast525.children = [ast526];
ast523.children = [ast524,ast525];
ast521.children = [ast522,ast523];
var ast527 = new ASTNode(new SyntaxHead("if", 0),ast520, 3627, 3894);
var ast528 = new ASTNode(new SyntaxHead("call", 8),ast527, 3629, 3645);
var ast529 = new ASTNode(new SyntaxHead("Identifier", 0),ast528, 3630, 3633);
var ast530 = new ASTNode(new SyntaxHead("isa", 0),ast528, 3635, 3637);
var ast531 = new ASTNode(new SyntaxHead("curly", 0),ast528, 3639, 3645);
var ast532 = new ASTNode(new SyntaxHead("Identifier", 0),ast531, 3639, 3643);
ast531.children = [ast532];
ast528.children = [ast529,ast530,ast531];
var ast533 = new ASTNode(new SyntaxHead("block", 0),ast527, 3646, 3670);
var ast534 = new ASTNode(new SyntaxHead("return", 0),ast533, 3655, 3665);
var ast535 = new ASTNode(new SyntaxHead("true", 0),ast534, 3662, 3665);
ast534.children = [ast535];
ast533.children = [ast534];
var ast536 = new ASTNode(new SyntaxHead("block", 0),ast527, 3675, 3891);
var ast537 = new ASTNode(new SyntaxHead("if", 0),ast536, 3684, 3734);
var ast538 = new ASTNode(new SyntaxHead("call", 8),ast537, 3686, 3697);
var ast539 = new ASTNode(new SyntaxHead("Identifier", 0),ast538, 3687, 3690);
var ast540 = new ASTNode(new SyntaxHead("in", 0),ast538, 3692, 3693);
var ast541 = new ASTNode(new SyntaxHead("Identifier", 0),ast538, 3695, 3697);
ast538.children = [ast539,ast540,ast541];
var ast542 = new ASTNode(new SyntaxHead("block", 0),ast537, 3698, 3731);
var ast543 = new ASTNode(new SyntaxHead("return", 0),ast542, 3711, 3722);
var ast544 = new ASTNode(new SyntaxHead("false", 0),ast543, 3718, 3722);
ast543.children = [ast544];
ast542.children = [ast543];
ast537.children = [ast538,ast542];
var ast545 = new ASTNode(new SyntaxHead("call", 0),ast536, 3744, 3759);
var ast546 = new ASTNode(new SyntaxHead("Identifier", 0),ast545, 3744, 3748);
var ast547 = new ASTNode(new SyntaxHead("Identifier", 0),ast545, 3750, 3752);
var ast548 = new ASTNode(new SyntaxHead("Identifier", 0),ast545, 3755, 3758);
ast545.children = [ast546,ast547,ast548];
var ast549 = new ASTNode(new SyntaxHead("for", 0),ast536, 3769, 3886);
var ast550 = new ASTNode(new SyntaxHead("=", 0),ast549, 3772, 3781);
var ast551 = new ASTNode(new SyntaxHead("Identifier", 0),ast550, 3773, 3773);
var ast552 = new ASTNode(new SyntaxHead("Identifier", 0),ast550, 3778, 3781);
ast550.children = [ast551,ast552];
var ast553 = new ASTNode(new SyntaxHead("block", 0),ast549, 3782, 3883);
var ast554 = new ASTNode(new SyntaxHead("if", 0),ast553, 3795, 3874);
var ast555 = new ASTNode(new SyntaxHead("call", 16),ast554, 3797, 3829);
var ast556 = new ASTNode(new SyntaxHead("!", 0),ast555, 3798, 3798);
var ast557 = new ASTNode(new SyntaxHead("call", 0),ast555, 3799, 3829);
var ast558 = new ASTNode(new SyntaxHead("Identifier", 0),ast557, 3799, 3821);
var ast559 = new ASTNode(new SyntaxHead("Identifier", 0),ast557, 3823, 3825);
var ast560 = new ASTNode(new SyntaxHead("Identifier", 0),ast557, 3828, 3828);
ast557.children = [ast558,ast559,ast560];
ast555.children = [ast556,ast557];
var ast561 = new ASTNode(new SyntaxHead("block", 0),ast554, 3830, 3871);
var ast562 = new ASTNode(new SyntaxHead("return", 0),ast561, 3847, 3858);
var ast563 = new ASTNode(new SyntaxHead("false", 0),ast562, 3854, 3858);
ast562.children = [ast563];
ast561.children = [ast562];
ast554.children = [ast555,ast561];
ast553.children = [ast554];
ast549.children = [ast550,ast553];
ast536.children = [ast537,ast545,ast549];
ast527.children = [ast528,ast533,ast536];
var ast564 = new ASTNode(new SyntaxHead("return", 0),ast520, 3900, 3910);
var ast565 = new ASTNode(new SyntaxHead("true", 0),ast564, 3907, 3910);
ast564.children = [ast565];
ast520.children = [ast521,ast527,ast564];
ast501.children = [ast502,ast520];
var ast566 = new ASTNode(new SyntaxHead("function", 0),ast1, 3917, 4071);
var ast567 = new ASTNode(new SyntaxHead("::", 8),ast566, 3926, 3958);
var ast568 = new ASTNode(new SyntaxHead("call", 0),ast567, 3926, 3952);
var ast569 = new ASTNode(new SyntaxHead("Identifier", 0),ast568, 3926, 3947);
var ast570 = new ASTNode(new SyntaxHead("Identifier", 0),ast568, 3949, 3951);
ast568.children = [ast569,ast570];
var ast571 = new ASTNode(new SyntaxHead("Identifier", 0),ast567, 3955, 3958);
ast567.children = [ast568,ast571];
var ast572 = new ASTNode(new SyntaxHead("block", 0),ast566, 3959, 4068);
var ast573 = new ASTNode(new SyntaxHead("=", 128),ast572, 3964, 4029);
var ast574 = new ASTNode(new SyntaxHead("Identifier", 0),ast573, 3964, 3966);
var ast575 = new ASTNode(new SyntaxHead("call", 0),ast573, 3970, 4029);
var ast576 = new ASTNode(new SyntaxHead("curly", 0),ast575, 3970, 4027);
var ast577 = new ASTNode(new SyntaxHead("Identifier", 0),ast576, 3970, 3972);
var ast578 = new ASTNode(new SyntaxHead("curly", 0),ast576, 3974, 4026);
var ast579 = new ASTNode(new SyntaxHead("Identifier", 0),ast578, 3974, 3979);
var ast580 = new ASTNode(new SyntaxHead("curly", 0),ast578, 3981, 4025);
var ast581 = new ASTNode(new SyntaxHead(".", 0),ast580, 3981, 4001);
var ast582 = new ASTNode(new SyntaxHead("Identifier", 0),ast581, 3981, 3991);
var ast583 = new ASTNode(new SyntaxHead("quote", 0),ast581, 3993, 4001);
var ast584 = new ASTNode(new SyntaxHead("Identifier", 0),ast583, 3993, 4001);
ast583.children = [ast584];
ast581.children = [ast582,ast583];
var ast585 = new ASTNode(new SyntaxHead(".", 0),ast580, 4003, 4024);
var ast586 = new ASTNode(new SyntaxHead("Identifier", 0),ast585, 4003, 4013);
var ast587 = new ASTNode(new SyntaxHead("quote", 0),ast585, 4015, 4024);
var ast588 = new ASTNode(new SyntaxHead("Identifier", 0),ast587, 4015, 4024);
ast587.children = [ast588];
ast585.children = [ast586,ast587];
ast580.children = [ast581,ast585];
ast578.children = [ast579,ast580];
ast576.children = [ast577,ast578];
ast575.children = [ast576];
ast573.children = [ast574,ast575];
var ast589 = new ASTNode(new SyntaxHead("call", 0),ast572, 4035, 4067);
var ast590 = new ASTNode(new SyntaxHead("Identifier", 0),ast589, 4035, 4057);
var ast591 = new ASTNode(new SyntaxHead("Identifier", 0),ast589, 4059, 4061);
var ast592 = new ASTNode(new SyntaxHead("Identifier", 0),ast589, 4064, 4066);
ast589.children = [ast590,ast591,ast592];
ast572.children = [ast573,ast589];
ast566.children = [ast567,ast572];
var ast593 = new ASTNode(new SyntaxHead("function", 0),ast1, 4074, 4708);
var ast594 = new ASTNode(new SyntaxHead("::", 8),ast593, 4083, 4230);
var ast595 = new ASTNode(new SyntaxHead("call", 0),ast594, 4083, 4212);
var ast596 = new ASTNode(new SyntaxHead("Identifier", 0),ast595, 4083, 4107);
var ast597 = new ASTNode(new SyntaxHead("::", 8),ast595, 4109, 4121);
var ast598 = new ASTNode(new SyntaxHead("Identifier", 0),ast597, 4109, 4115);
var ast599 = new ASTNode(new SyntaxHead("Identifier", 0),ast597, 4118, 4121);
ast597.children = [ast598,ast599];
var ast600 = new ASTNode(new SyntaxHead("::", 8),ast595, 4124, 4141);
var ast601 = new ASTNode(new SyntaxHead("Identifier", 0),ast600, 4124, 4135);
var ast602 = new ASTNode(new SyntaxHead("Identifier", 0),ast600, 4138, 4141);
ast600.children = [ast601,ast602];
var ast603 = new ASTNode(new SyntaxHead("::", 8),ast595, 4144, 4159);
var ast604 = new ASTNode(new SyntaxHead("Identifier", 0),ast603, 4144, 4146);
var ast605 = new ASTNode(new SyntaxHead("curly", 0),ast603, 4149, 4159);
var ast606 = new ASTNode(new SyntaxHead("Identifier", 0),ast605, 4149, 4151);
var ast607 = new ASTNode(new SyntaxHead("Identifier", 0),ast605, 4153, 4158);
ast605.children = [ast606,ast607];
ast603.children = [ast604,ast605];
var ast608 = new ASTNode(new SyntaxHead("::", 8),ast595, 4162, 4211);
var ast609 = new ASTNode(new SyntaxHead("Identifier", 0),ast608, 4162, 4164);
var ast610 = new ASTNode(new SyntaxHead("curly", 0),ast608, 4167, 4211);
var ast611 = new ASTNode(new SyntaxHead(".", 0),ast610, 4167, 4187);
var ast612 = new ASTNode(new SyntaxHead("Identifier", 0),ast611, 4167, 4177);
var ast613 = new ASTNode(new SyntaxHead("quote", 0),ast611, 4179, 4187);
var ast614 = new ASTNode(new SyntaxHead("Identifier", 0),ast613, 4179, 4187);
ast613.children = [ast614];
ast611.children = [ast612,ast613];
var ast615 = new ASTNode(new SyntaxHead(".", 0),ast610, 4189, 4210);
var ast616 = new ASTNode(new SyntaxHead("Identifier", 0),ast615, 4189, 4199);
var ast617 = new ASTNode(new SyntaxHead("quote", 0),ast615, 4201, 4210);
var ast618 = new ASTNode(new SyntaxHead("Identifier", 0),ast617, 4201, 4210);
ast617.children = [ast618];
ast615.children = [ast616,ast617];
ast610.children = [ast611,ast615];
ast608.children = [ast609,ast610];
ast595.children = [ast596,ast597,ast600,ast603,ast608];
var ast619 = new ASTNode(new SyntaxHead("Identifier", 0),ast594, 4215, 4230);
ast594.children = [ast595,ast619];
var ast620 = new ASTNode(new SyntaxHead("block", 0),ast593, 4231, 4705);
var ast621 = new ASTNode(new SyntaxHead("=", 128),ast620, 4236, 4250);
var ast622 = new ASTNode(new SyntaxHead("Identifier", 0),ast621, 4236, 4239);
var ast623 = new ASTNode(new SyntaxHead(".", 0),ast621, 4243, 4250);
var ast624 = new ASTNode(new SyntaxHead("Identifier", 0),ast623, 4243, 4245);
var ast625 = new ASTNode(new SyntaxHead("quote", 0),ast623, 4247, 4250);
var ast626 = new ASTNode(new SyntaxHead("Identifier", 0),ast625, 4247, 4250);
ast625.children = [ast626];
ast623.children = [ast624,ast625];
ast621.children = [ast622,ast623];
var ast627 = new ASTNode(new SyntaxHead("if", 0),ast620, 4256, 4691);
var ast628 = new ASTNode(new SyntaxHead("call", 8),ast627, 4258, 4274);
var ast629 = new ASTNode(new SyntaxHead("Identifier", 0),ast628, 4259, 4262);
var ast630 = new ASTNode(new SyntaxHead("isa", 0),ast628, 4264, 4266);
var ast631 = new ASTNode(new SyntaxHead("curly", 0),ast628, 4268, 4274);
var ast632 = new ASTNode(new SyntaxHead("Identifier", 0),ast631, 4268, 4272);
ast631.children = [ast632];
ast628.children = [ast629,ast630,ast631];
var ast633 = new ASTNode(new SyntaxHead("block", 0),ast627, 4275, 4460);
var ast634 = new ASTNode(new SyntaxHead("=", 128),ast633, 4284, 4339);
var ast635 = new ASTNode(new SyntaxHead("Identifier", 0),ast634, 4284, 4284);
var ast636 = new ASTNode(new SyntaxHead("call", 0),ast634, 4288, 4339);
var ast637 = new ASTNode(new SyntaxHead("curly", 0),ast636, 4288, 4308);
var ast638 = new ASTNode(new SyntaxHead("Identifier", 0),ast637, 4288, 4292);
var ast639 = new ASTNode(new SyntaxHead("Identifier", 0),ast637, 4294, 4299);
var ast640 = new ASTNode(new SyntaxHead("Identifier", 0),ast637, 4302, 4307);
ast637.children = [ast638,ast639,ast640];
var ast641 = new ASTNode(new SyntaxHead("tuple", 0),ast636, 4310, 4338);
var ast642 = new ASTNode(new SyntaxHead("call", 8),ast641, 4311, 4319);
var ast643 = new ASTNode(new SyntaxHead("ref", 0),ast642, 4311, 4315);
var ast644 = new ASTNode(new SyntaxHead("Identifier", 0),ast643, 4311, 4313);
ast643.children = [ast644];
var ast645 = new ASTNode(new SyntaxHead("+", 0),ast642, 4317, 4317);
var ast646 = new ASTNode(new SyntaxHead("Integer", 0),ast642, 4319, 4319);
ast642.children = [ast643,ast645,ast646];
var ast647 = new ASTNode(new SyntaxHead("call", 8),ast641, 4322, 4337);
var ast648 = new ASTNode(new SyntaxHead("ref", 0),ast647, 4322, 4326);
var ast649 = new ASTNode(new SyntaxHead("Identifier", 0),ast648, 4322, 4324);
ast648.children = [ast649];
var ast650 = new ASTNode(new SyntaxHead("+", 0),ast647, 4328, 4328);
var ast651 = new ASTNode(new SyntaxHead(".", 0),ast647, 4330, 4337);
var ast652 = new ASTNode(new SyntaxHead("Identifier", 0),ast651, 4330, 4332);
var ast653 = new ASTNode(new SyntaxHead("quote", 0),ast651, 4334, 4337);
var ast654 = new ASTNode(new SyntaxHead("Identifier", 0),ast653, 4334, 4337);
ast653.children = [ast654];
ast651.children = [ast652,ast653];
ast647.children = [ast648,ast650,ast651];
ast641.children = [ast642,ast647];
ast636.children = [ast637,ast641];
ast634.children = [ast635,ast636];
var ast655 = new ASTNode(new SyntaxHead("=", 128),ast633, 4349, 4401);
var ast656 = new ASTNode(new SyntaxHead("Identifier", 0),ast655, 4349, 4349);
var ast657 = new ASTNode(new SyntaxHead("call", 0),ast655, 4353, 4401);
var ast658 = new ASTNode(new SyntaxHead("Identifier", 0),ast657, 4353, 4368);
var ast659 = new ASTNode(new SyntaxHead(".", 0),ast657, 4370, 4377);
var ast660 = new ASTNode(new SyntaxHead("Identifier", 0),ast659, 4370, 4372);
var ast661 = new ASTNode(new SyntaxHead("quote", 0),ast659, 4374, 4377);
var ast662 = new ASTNode(new SyntaxHead("Identifier", 0),ast661, 4374, 4377);
ast661.children = [ast662];
ast659.children = [ast660,ast661];
var ast663 = new ASTNode(new SyntaxHead(".", 0),ast657, 4380, 4387);
var ast664 = new ASTNode(new SyntaxHead("Identifier", 0),ast663, 4380, 4382);
var ast665 = new ASTNode(new SyntaxHead("quote", 0),ast663, 4384, 4387);
var ast666 = new ASTNode(new SyntaxHead("Identifier", 0),ast665, 4384, 4387);
ast665.children = [ast666];
ast663.children = [ast664,ast665];
var ast667 = new ASTNode(new SyntaxHead("tuple", 0),ast657, 4390, 4391);
ast667.children = [];
var ast668 = new ASTNode(new SyntaxHead("Identifier", 0),ast657, 4394, 4400);
ast657.children = [ast658,ast659,ast663,ast667,ast668];
ast655.children = [ast656,ast657];
var ast669 = new ASTNode(new SyntaxHead("+=", 128),ast633, 4411, 4427);
var ast670 = new ASTNode(new SyntaxHead("ref", 0),ast669, 4411, 4415);
var ast671 = new ASTNode(new SyntaxHead("Identifier", 0),ast670, 4411, 4413);
ast670.children = [ast671];
var ast672 = new ASTNode(new SyntaxHead(".", 0),ast669, 4420, 4427);
var ast673 = new ASTNode(new SyntaxHead("Identifier", 0),ast672, 4420, 4422);
var ast674 = new ASTNode(new SyntaxHead("quote", 0),ast672, 4424, 4427);
var ast675 = new ASTNode(new SyntaxHead("Identifier", 0),ast674, 4424, 4427);
ast674.children = [ast675];
ast672.children = [ast673,ast674];
ast669.children = [ast670,ast672];
var ast676 = new ASTNode(new SyntaxHead("=", 128),ast633, 4437, 4455);
var ast677 = new ASTNode(new SyntaxHead("ref", 0),ast676, 4437, 4451);
var ast678 = new ASTNode(new SyntaxHead("Identifier", 0),ast677, 4437, 4448);
var ast679 = new ASTNode(new SyntaxHead("Identifier", 0),ast677, 4450, 4450);
ast677.children = [ast678,ast679];
var ast680 = new ASTNode(new SyntaxHead("Identifier", 0),ast676, 4455, 4455);
ast676.children = [ast677,ast680];
ast633.children = [ast634,ast655,ast669,ast676];
var ast681 = new ASTNode(new SyntaxHead("block", 0),ast627, 4465, 4688);
var ast682 = new ASTNode(new SyntaxHead("=", 128),ast681, 4474, 4553);
var ast683 = new ASTNode(new SyntaxHead("Identifier", 0),ast682, 4474, 4478);
var ast684 = new ASTNode(new SyntaxHead("comprehension", 0),ast682, 4482, 4553);
var ast685 = new ASTNode(new SyntaxHead("generator", 0),ast684, 4483, 4552);
var ast686 = new ASTNode(new SyntaxHead("call", 0),ast685, 4483, 4538);
var ast687 = new ASTNode(new SyntaxHead("Identifier", 0),ast686, 4483, 4507);
var ast688 = new ASTNode(new SyntaxHead("Identifier", 0),ast686, 4509, 4515);
var ast689 = new ASTNode(new SyntaxHead("Identifier", 0),ast686, 4518, 4529);
var ast690 = new ASTNode(new SyntaxHead("Identifier", 0),ast686, 4532, 4534);
var ast691 = new ASTNode(new SyntaxHead("Identifier", 0),ast686, 4537, 4537);
ast686.children = [ast687,ast688,ast689,ast690,ast691];
var ast692 = new ASTNode(new SyntaxHead("=", 0),ast685, 4543, 4552);
var ast693 = new ASTNode(new SyntaxHead("Identifier", 0),ast692, 4544, 4544);
var ast694 = new ASTNode(new SyntaxHead("Identifier", 0),ast692, 4549, 4552);
ast692.children = [ast693,ast694];
ast685.children = [ast686,ast692];
ast684.children = [ast685];
ast682.children = [ast683,ast684];
var ast695 = new ASTNode(new SyntaxHead("=", 128),ast681, 4563, 4618);
var ast696 = new ASTNode(new SyntaxHead("Identifier", 0),ast695, 4563, 4563);
var ast697 = new ASTNode(new SyntaxHead("call", 0),ast695, 4567, 4618);
var ast698 = new ASTNode(new SyntaxHead("Identifier", 0),ast697, 4567, 4582);
var ast699 = new ASTNode(new SyntaxHead(".", 0),ast697, 4584, 4591);
var ast700 = new ASTNode(new SyntaxHead("Identifier", 0),ast699, 4584, 4586);
var ast701 = new ASTNode(new SyntaxHead("quote", 0),ast699, 4588, 4591);
var ast702 = new ASTNode(new SyntaxHead("Identifier", 0),ast701, 4588, 4591);
ast701.children = [ast702];
ast699.children = [ast700,ast701];
var ast703 = new ASTNode(new SyntaxHead(".", 0),ast697, 4594, 4601);
var ast704 = new ASTNode(new SyntaxHead("Identifier", 0),ast703, 4594, 4596);
var ast705 = new ASTNode(new SyntaxHead("quote", 0),ast703, 4598, 4601);
var ast706 = new ASTNode(new SyntaxHead("Identifier", 0),ast705, 4598, 4601);
ast705.children = [ast706];
ast703.children = [ast704,ast705];
var ast707 = new ASTNode(new SyntaxHead("Identifier", 0),ast697, 4604, 4608);
var ast708 = new ASTNode(new SyntaxHead("Identifier", 0),ast697, 4611, 4617);
ast697.children = [ast698,ast699,ast703,ast707,ast708];
ast695.children = [ast696,ast697];
var ast709 = new ASTNode(new SyntaxHead("=", 128),ast681, 4667, 4683);
var ast710 = new ASTNode(new SyntaxHead("ref", 0),ast709, 4667, 4679);
var ast711 = new ASTNode(new SyntaxHead("Identifier", 0),ast710, 4667, 4673);
var ast712 = new ASTNode(new SyntaxHead("Identifier", 0),ast710, 4675, 4678);
ast710.children = [ast711,ast712];
var ast713 = new ASTNode(new SyntaxHead("Identifier", 0),ast709, 4683, 4683);
ast709.children = [ast710,ast713];
ast681.children = [ast682,ast695,ast709];
ast627.children = [ast628,ast633,ast681];
var ast714 = new ASTNode(new SyntaxHead("return", 0),ast620, 4697, 4704);
var ast715 = new ASTNode(new SyntaxHead("Identifier", 0),ast714, 4704, 4704);
ast714.children = [ast715];
ast620.children = [ast621,ast627,ast714];
ast593.children = [ast594,ast620];
var ast716 = new ASTNode(new SyntaxHead("function", 0),ast1, 4711, 5088);
var ast717 = new ASTNode(new SyntaxHead("call", 0),ast716, 4720, 4795);
var ast718 = new ASTNode(new SyntaxHead("Identifier", 0),ast717, 4720, 4743);
var ast719 = new ASTNode(new SyntaxHead("::", 8),ast717, 4745, 4794);
var ast720 = new ASTNode(new SyntaxHead("Identifier", 0),ast719, 4745, 4747);
var ast721 = new ASTNode(new SyntaxHead("curly", 0),ast719, 4750, 4794);
var ast722 = new ASTNode(new SyntaxHead(".", 0),ast721, 4750, 4770);
var ast723 = new ASTNode(new SyntaxHead("Identifier", 0),ast722, 4750, 4760);
var ast724 = new ASTNode(new SyntaxHead("quote", 0),ast722, 4762, 4770);
var ast725 = new ASTNode(new SyntaxHead("Identifier", 0),ast724, 4762, 4770);
ast724.children = [ast725];
ast722.children = [ast723,ast724];
var ast726 = new ASTNode(new SyntaxHead(".", 0),ast721, 4772, 4793);
var ast727 = new ASTNode(new SyntaxHead("Identifier", 0),ast726, 4772, 4782);
var ast728 = new ASTNode(new SyntaxHead("quote", 0),ast726, 4784, 4793);
var ast729 = new ASTNode(new SyntaxHead("Identifier", 0),ast728, 4784, 4793);
ast728.children = [ast729];
ast726.children = [ast727,ast728];
ast721.children = [ast722,ast726];
ast719.children = [ast720,ast721];
ast717.children = [ast718,ast719];
var ast730 = new ASTNode(new SyntaxHead("block", 0),ast716, 4796, 5085);
var ast731 = new ASTNode(new SyntaxHead("=", 128),ast730, 4801, 4889);
var ast732 = new ASTNode(new SyntaxHead("Identifier", 0),ast731, 4801, 4807);
var ast733 = new ASTNode(new SyntaxHead("call", 0),ast731, 4811, 4889);
var ast734 = new ASTNode(new SyntaxHead("curly", 0),ast733, 4811, 4887);
var ast735 = new ASTNode(new SyntaxHead("Identifier", 0),ast734, 4811, 4814);
var ast736 = new ASTNode(new SyntaxHead("curly", 0),ast734, 4816, 4868);
var ast737 = new ASTNode(new SyntaxHead("Identifier", 0),ast736, 4816, 4821);
var ast738 = new ASTNode(new SyntaxHead("curly", 0),ast736, 4823, 4867);
var ast739 = new ASTNode(new SyntaxHead(".", 0),ast738, 4823, 4843);
var ast740 = new ASTNode(new SyntaxHead("Identifier", 0),ast739, 4823, 4833);
var ast741 = new ASTNode(new SyntaxHead("quote", 0),ast739, 4835, 4843);
var ast742 = new ASTNode(new SyntaxHead("Identifier", 0),ast741, 4835, 4843);
ast741.children = [ast742];
ast739.children = [ast740,ast741];
var ast743 = new ASTNode(new SyntaxHead(".", 0),ast738, 4845, 4866);
var ast744 = new ASTNode(new SyntaxHead("Identifier", 0),ast743, 4845, 4855);
var ast745 = new ASTNode(new SyntaxHead("quote", 0),ast743, 4857, 4866);
var ast746 = new ASTNode(new SyntaxHead("Identifier", 0),ast745, 4857, 4866);
ast745.children = [ast746];
ast743.children = [ast744,ast745];
ast738.children = [ast739,ast743];
ast736.children = [ast737,ast738];
var ast747 = new ASTNode(new SyntaxHead("Identifier", 0),ast734, 4871, 4886);
ast734.children = [ast735,ast736,ast747];
ast733.children = [ast734];
ast731.children = [ast732,ast733];
var ast748 = new ASTNode(new SyntaxHead("=", 128),ast730, 4895, 4956);
var ast749 = new ASTNode(new SyntaxHead("Identifier", 0),ast748, 4895, 4906);
var ast750 = new ASTNode(new SyntaxHead("call", 0),ast748, 4910, 4956);
var ast751 = new ASTNode(new SyntaxHead("curly", 0),ast750, 4910, 4954);
var ast752 = new ASTNode(new SyntaxHead("Identifier", 0),ast751, 4910, 4913);
var ast753 = new ASTNode(new SyntaxHead("curly", 0),ast751, 4915, 4935);
var ast754 = new ASTNode(new SyntaxHead("Identifier", 0),ast753, 4915, 4919);
var ast755 = new ASTNode(new SyntaxHead("Identifier", 0),ast753, 4921, 4926);
var ast756 = new ASTNode(new SyntaxHead("Identifier", 0),ast753, 4929, 4934);
ast753.children = [ast754,ast755,ast756];
var ast757 = new ASTNode(new SyntaxHead("Identifier", 0),ast751, 4938, 4953);
ast751.children = [ast752,ast753,ast757];
ast750.children = [ast751];
ast748.children = [ast749,ast750];
var ast758 = new ASTNode(new SyntaxHead("=", 128),ast730, 4962, 4981);
var ast759 = new ASTNode(new SyntaxHead("Identifier", 0),ast758, 4962, 4964);
var ast760 = new ASTNode(new SyntaxHead("call", 0),ast758, 4968, 4981);
var ast761 = new ASTNode(new SyntaxHead("curly", 0),ast760, 4968, 4978);
var ast762 = new ASTNode(new SyntaxHead("Identifier", 0),ast761, 4968, 4970);
var ast763 = new ASTNode(new SyntaxHead("Identifier", 0),ast761, 4972, 4977);
ast761.children = [ast762,ast763];
var ast764 = new ASTNode(new SyntaxHead("Integer", 0),ast760, 4980, 4980);
ast760.children = [ast761,ast764];
ast758.children = [ast759,ast760];
var ast765 = new ASTNode(new SyntaxHead("=", 128),ast730, 4987, 5048);
var ast766 = new ASTNode(new SyntaxHead("Identifier", 0),ast765, 4987, 4987);
var ast767 = new ASTNode(new SyntaxHead("call", 0),ast765, 4991, 5048);
var ast768 = new ASTNode(new SyntaxHead("Identifier", 0),ast767, 4991, 5015);
var ast769 = new ASTNode(new SyntaxHead("Identifier", 0),ast767, 5017, 5023);
var ast770 = new ASTNode(new SyntaxHead("Identifier", 0),ast767, 5026, 5037);
var ast771 = new ASTNode(new SyntaxHead("Identifier", 0),ast767, 5040, 5042);
var ast772 = new ASTNode(new SyntaxHead("Identifier", 0),ast767, 5045, 5047);
ast767.children = [ast768,ast769,ast770,ast771,ast772];
ast765.children = [ast766,ast767];
var ast773 = new ASTNode(new SyntaxHead("return", 0),ast730, 5054, 5084);
var ast774 = new ASTNode(new SyntaxHead("tuple", 0),ast773, 5060, 5084);
var ast775 = new ASTNode(new SyntaxHead("Identifier", 0),ast774, 5061, 5061);
var ast776 = new ASTNode(new SyntaxHead("Identifier", 0),ast774, 5064, 5070);
var ast777 = new ASTNode(new SyntaxHead("Identifier", 0),ast774, 5073, 5084);
ast774.children = [ast775,ast776,ast777];
ast773.children = [ast774];
ast730.children = [ast731,ast748,ast758,ast765,ast773];
ast716.children = [ast717,ast730];
var ast778 = new ASTNode(new SyntaxHead("function", 0),ast1, 5091, 5758);
var ast779 = new ASTNode(new SyntaxHead("call", 0),ast778, 5100, 5188);
var ast780 = new ASTNode(new SyntaxHead("Identifier", 0),ast779, 5100, 5113);
var ast781 = new ASTNode(new SyntaxHead("::", 8),ast779, 5115, 5164);
var ast782 = new ASTNode(new SyntaxHead("Identifier", 0),ast781, 5115, 5118);
var ast783 = new ASTNode(new SyntaxHead("curly", 0),ast781, 5121, 5164);
var ast784 = new ASTNode(new SyntaxHead(".", 0),ast783, 5121, 5140);
var ast785 = new ASTNode(new SyntaxHead("Identifier", 0),ast784, 5121, 5131);
var ast786 = new ASTNode(new SyntaxHead("quote", 0),ast784, 5133, 5140);
var ast787 = new ASTNode(new SyntaxHead("Identifier", 0),ast786, 5133, 5140);
ast786.children = [ast787];
ast784.children = [ast785,ast786];
var ast788 = new ASTNode(new SyntaxHead(".", 0),ast783, 5142, 5163);
var ast789 = new ASTNode(new SyntaxHead("Identifier", 0),ast788, 5142, 5152);
var ast790 = new ASTNode(new SyntaxHead("quote", 0),ast788, 5154, 5163);
var ast791 = new ASTNode(new SyntaxHead("Identifier", 0),ast790, 5154, 5163);
ast790.children = [ast791];
ast788.children = [ast789,ast790];
ast783.children = [ast784,ast788];
ast781.children = [ast782,ast783];
var ast792 = new ASTNode(new SyntaxHead("Identifier", 0),ast779, 5167, 5173);
var ast793 = new ASTNode(new SyntaxHead("Identifier", 0),ast779, 5176, 5187);
ast779.children = [ast780,ast781,ast792,ast793];
var ast794 = new ASTNode(new SyntaxHead("block", 0),ast778, 5189, 5755);
var ast795 = new ASTNode(new SyntaxHead("=", 128),ast794, 5194, 5214);
var ast796 = new ASTNode(new SyntaxHead("Identifier", 0),ast795, 5194, 5198);
var ast797 = new ASTNode(new SyntaxHead(".", 0),ast795, 5202, 5214);
var ast798 = new ASTNode(new SyntaxHead(".", 0),ast797, 5202, 5210);
var ast799 = new ASTNode(new SyntaxHead("Identifier", 0),ast798, 5202, 5205);
var ast800 = new ASTNode(new SyntaxHead("quote", 0),ast798, 5207, 5210);
var ast801 = new ASTNode(new SyntaxHead("Identifier", 0),ast800, 5207, 5210);
ast800.children = [ast801];
ast798.children = [ast799,ast800];
var ast802 = new ASTNode(new SyntaxHead("quote", 0),ast797, 5212, 5214);
var ast803 = new ASTNode(new SyntaxHead("Identifier", 0),ast802, 5212, 5214);
ast802.children = [ast803];
ast797.children = [ast798,ast802];
ast795.children = [ast796,ast797];
var ast804 = new ASTNode(new SyntaxHead("=", 128),ast794, 5220, 5236);
var ast805 = new ASTNode(new SyntaxHead("Identifier", 0),ast804, 5220, 5223);
var ast806 = new ASTNode(new SyntaxHead(".", 0),ast804, 5227, 5236);
var ast807 = new ASTNode(new SyntaxHead("Identifier", 0),ast806, 5227, 5231);
var ast808 = new ASTNode(new SyntaxHead("quote", 0),ast806, 5233, 5236);
var ast809 = new ASTNode(new SyntaxHead("Identifier", 0),ast808, 5233, 5236);
ast808.children = [ast809];
ast806.children = [ast807,ast808];
ast804.children = [ast805,ast806];
var ast810 = new ASTNode(new SyntaxHead("if", 0),ast794, 5242, 5754);
var ast811 = new ASTNode(new SyntaxHead("call", 8),ast810, 5244, 5260);
var ast812 = new ASTNode(new SyntaxHead("Identifier", 0),ast811, 5245, 5248);
var ast813 = new ASTNode(new SyntaxHead("isa", 0),ast811, 5250, 5252);
var ast814 = new ASTNode(new SyntaxHead("curly", 0),ast811, 5254, 5260);
var ast815 = new ASTNode(new SyntaxHead("Identifier", 0),ast814, 5254, 5258);
ast814.children = [ast815];
ast811.children = [ast812,ast813,ast814];
var ast816 = new ASTNode(new SyntaxHead("block", 0),ast810, 5261, 5497);
var ast817 = new ASTNode(new SyntaxHead("macrocall", 0),ast816, 5270, 5302);
var ast818 = new ASTNode(new SyntaxHead("MacroName", 0),ast817, 5271, 5276);
var ast819 = new ASTNode(new SyntaxHead("call", 8),ast817, 5277, 5302);
var ast820 = new ASTNode(new SyntaxHead(".", 0),ast819, 5278, 5290);
var ast821 = new ASTNode(new SyntaxHead("Identifier", 0),ast820, 5278, 5281);
var ast822 = new ASTNode(new SyntaxHead("quote", 0),ast820, 5283, 5290);
var ast823 = new ASTNode(new SyntaxHead("Identifier", 0),ast822, 5283, 5290);
ast822.children = [ast823];
ast820.children = [ast821,ast822];
var ast824 = new ASTNode(new SyntaxHead("isa", 0),ast819, 5292, 5294);
var ast825 = new ASTNode(new SyntaxHead("Identifier", 0),ast819, 5296, 5302);
ast819.children = [ast820,ast824,ast825];
ast817.children = [ast818,ast819];
var ast826 = new ASTNode(new SyntaxHead("=", 128),ast816, 5312, 5345);
var ast827 = new ASTNode(new SyntaxHead("Identifier", 0),ast826, 5312, 5316);
var ast828 = new ASTNode(new SyntaxHead("call", 0),ast826, 5320, 5345);
var ast829 = new ASTNode(new SyntaxHead("Identifier", 0),ast828, 5320, 5325);
var ast830 = new ASTNode(new SyntaxHead(".", 0),ast828, 5327, 5344);
var ast831 = new ASTNode(new SyntaxHead(".", 0),ast830, 5327, 5335);
var ast832 = new ASTNode(new SyntaxHead("Identifier", 0),ast831, 5327, 5330);
var ast833 = new ASTNode(new SyntaxHead("quote", 0),ast831, 5332, 5335);
var ast834 = new ASTNode(new SyntaxHead("Identifier", 0),ast833, 5332, 5335);
ast833.children = [ast834];
ast831.children = [ast832,ast833];
var ast835 = new ASTNode(new SyntaxHead("quote", 0),ast830, 5337, 5344);
var ast836 = new ASTNode(new SyntaxHead("Identifier", 0),ast835, 5337, 5344);
ast835.children = [ast836];
ast830.children = [ast831,ast835];
ast828.children = [ast829,ast830];
ast826.children = [ast827,ast828];
var ast837 = new ASTNode(new SyntaxHead("=", 128),ast816, 5355, 5392);
var ast838 = new ASTNode(new SyntaxHead("Identifier", 0),ast837, 5355, 5358);
var ast839 = new ASTNode(new SyntaxHead("tuple", 0),ast837, 5362, 5392);
var ast840 = new ASTNode(new SyntaxHead("Identifier", 0),ast839, 5363, 5367);
var ast841 = new ASTNode(new SyntaxHead("call", 8),ast839, 5370, 5391);
var ast842 = new ASTNode(new SyntaxHead("call", 8),ast841, 5370, 5387);
var ast843 = new ASTNode(new SyntaxHead("Identifier", 0),ast842, 5370, 5374);
var ast844 = new ASTNode(new SyntaxHead("+", 0),ast842, 5376, 5376);
var ast845 = new ASTNode(new SyntaxHead(".", 0),ast842, 5378, 5387);
var ast846 = new ASTNode(new SyntaxHead("Identifier", 0),ast845, 5378, 5382);
var ast847 = new ASTNode(new SyntaxHead("quote", 0),ast845, 5384, 5387);
var ast848 = new ASTNode(new SyntaxHead("Identifier", 0),ast847, 5384, 5387);
ast847.children = [ast848];
ast845.children = [ast846,ast847];
ast842.children = [ast843,ast844,ast845];
var ast849 = new ASTNode(new SyntaxHead("-", 0),ast841, 5389, 5389);
var ast850 = new ASTNode(new SyntaxHead("Integer", 0),ast841, 5391, 5391);
ast841.children = [ast842,ast849,ast850];
ast839.children = [ast840,ast841];
ast837.children = [ast838,ast839];
var ast851 = new ASTNode(new SyntaxHead("=", 128),ast816, 5402, 5423);
var ast852 = new ASTNode(new SyntaxHead("Identifier", 0),ast851, 5402, 5402);
var ast853 = new ASTNode(new SyntaxHead("ref", 0),ast851, 5406, 5423);
var ast854 = new ASTNode(new SyntaxHead("Identifier", 0),ast853, 5406, 5417);
var ast855 = new ASTNode(new SyntaxHead("Identifier", 0),ast853, 5419, 5422);
ast853.children = [ast854,ast855];
ast851.children = [ast852,ast853];
var ast856 = new ASTNode(new SyntaxHead("=", 128),ast816, 5433, 5452);
var ast857 = new ASTNode(new SyntaxHead(".", 0),ast856, 5433, 5445);
var ast858 = new ASTNode(new SyntaxHead("Identifier", 0),ast857, 5433, 5433);
var ast859 = new ASTNode(new SyntaxHead("quote", 0),ast857, 5435, 5445);
var ast860 = new ASTNode(new SyntaxHead("Identifier", 0),ast859, 5435, 5445);
ast859.children = [ast860];
ast857.children = [ast858,ast859];
var ast861 = new ASTNode(new SyntaxHead("Identifier", 0),ast856, 5449, 5452);
ast856.children = [ast857,ast861];
var ast862 = new ASTNode(new SyntaxHead("return", 0),ast816, 5462, 5492);
var ast863 = new ASTNode(new SyntaxHead("call", 0),ast862, 5469, 5492);
var ast864 = new ASTNode(new SyntaxHead("Identifier", 0),ast863, 5469, 5483);
var ast865 = new ASTNode(new SyntaxHead("Identifier", 0),ast863, 5485, 5488);
var ast866 = new ASTNode(new SyntaxHead("Identifier", 0),ast863, 5491, 5491);
ast863.children = [ast864,ast865,ast866];
ast862.children = [ast863];
ast816.children = [ast817,ast826,ast837,ast851,ast856,ast862];
var ast867 = new ASTNode(new SyntaxHead("block", 0),ast810, 5502, 5751);
var ast868 = new ASTNode(new SyntaxHead("=", 128),ast867, 5511, 5527);
var ast869 = new ASTNode(new SyntaxHead("Identifier", 0),ast868, 5511, 5511);
var ast870 = new ASTNode(new SyntaxHead("ref", 0),ast868, 5515, 5527);
var ast871 = new ASTNode(new SyntaxHead("Identifier", 0),ast870, 5515, 5521);
var ast872 = new ASTNode(new SyntaxHead("Identifier", 0),ast870, 5523, 5526);
ast870.children = [ast871,ast872];
ast868.children = [ast869,ast870];
var ast873 = new ASTNode(new SyntaxHead("=", 128),ast867, 5537, 5556);
var ast874 = new ASTNode(new SyntaxHead(".", 0),ast873, 5537, 5549);
var ast875 = new ASTNode(new SyntaxHead("Identifier", 0),ast874, 5537, 5537);
var ast876 = new ASTNode(new SyntaxHead("quote", 0),ast874, 5539, 5549);
var ast877 = new ASTNode(new SyntaxHead("Identifier", 0),ast876, 5539, 5549);
ast876.children = [ast877];
ast874.children = [ast875,ast876];
var ast878 = new ASTNode(new SyntaxHead("Identifier", 0),ast873, 5553, 5556);
ast873.children = [ast874,ast878];
var ast879 = new ASTNode(new SyntaxHead("for", 0),ast867, 5566, 5706);
var ast880 = new ASTNode(new SyntaxHead("=", 0),ast879, 5569, 5641);
var ast881 = new ASTNode(new SyntaxHead("Identifier", 0),ast880, 5570, 5570);
var ast882 = new ASTNode(new SyntaxHead("::", 8),ast880, 5575, 5641);
var ast883 = new ASTNode(new SyntaxHead(".", 0),ast882, 5575, 5587);
var ast884 = new ASTNode(new SyntaxHead("Identifier", 0),ast883, 5575, 5578);
var ast885 = new ASTNode(new SyntaxHead("quote", 0),ast883, 5580, 5587);
var ast886 = new ASTNode(new SyntaxHead("Identifier", 0),ast885, 5580, 5587);
ast885.children = [ast886];
ast883.children = [ast884,ast885];
var ast887 = new ASTNode(new SyntaxHead("curly", 0),ast882, 5590, 5641);
var ast888 = new ASTNode(new SyntaxHead("Identifier", 0),ast887, 5590, 5595);
var ast889 = new ASTNode(new SyntaxHead("curly", 0),ast887, 5597, 5640);
var ast890 = new ASTNode(new SyntaxHead(".", 0),ast889, 5597, 5616);
var ast891 = new ASTNode(new SyntaxHead("Identifier", 0),ast890, 5597, 5607);
var ast892 = new ASTNode(new SyntaxHead("quote", 0),ast890, 5609, 5616);
var ast893 = new ASTNode(new SyntaxHead("Identifier", 0),ast892, 5609, 5616);
ast892.children = [ast893];
ast890.children = [ast891,ast892];
var ast894 = new ASTNode(new SyntaxHead(".", 0),ast889, 5618, 5639);
var ast895 = new ASTNode(new SyntaxHead("Identifier", 0),ast894, 5618, 5628);
var ast896 = new ASTNode(new SyntaxHead("quote", 0),ast894, 5630, 5639);
var ast897 = new ASTNode(new SyntaxHead("Identifier", 0),ast896, 5630, 5639);
ast896.children = [ast897];
ast894.children = [ast895,ast896];
ast889.children = [ast890,ast894];
ast887.children = [ast888,ast889];
ast882.children = [ast883,ast887];
ast880.children = [ast881,ast882];
var ast898 = new ASTNode(new SyntaxHead("block", 0),ast879, 5642, 5703);
var ast899 = new ASTNode(new SyntaxHead("call", 0),ast898, 5655, 5694);
var ast900 = new ASTNode(new SyntaxHead("Identifier", 0),ast899, 5655, 5668);
var ast901 = new ASTNode(new SyntaxHead("Identifier", 0),ast899, 5670, 5670);
var ast902 = new ASTNode(new SyntaxHead("Identifier", 0),ast899, 5673, 5679);
var ast903 = new ASTNode(new SyntaxHead("Identifier", 0),ast899, 5682, 5693);
ast899.children = [ast900,ast901,ast902,ast903];
ast898.children = [ast899];
ast879.children = [ast880,ast898];
var ast904 = new ASTNode(new SyntaxHead("return", 0),ast867, 5716, 5746);
var ast905 = new ASTNode(new SyntaxHead("call", 0),ast904, 5723, 5746);
var ast906 = new ASTNode(new SyntaxHead("Identifier", 0),ast905, 5723, 5737);
var ast907 = new ASTNode(new SyntaxHead("Identifier", 0),ast905, 5739, 5742);
var ast908 = new ASTNode(new SyntaxHead("Identifier", 0),ast905, 5745, 5745);
ast905.children = [ast906,ast907,ast908];
ast904.children = [ast905];
ast867.children = [ast868,ast873,ast879,ast904];
ast810.children = [ast811,ast816,ast867];
ast794.children = [ast795,ast804,ast810];
ast778.children = [ast779,ast794];
var ast909 = new ASTNode(new SyntaxHead("function", 0),ast1, 5761, 6019);
var ast910 = new ASTNode(new SyntaxHead("call", 0),ast909, 5770, 5838);
var ast911 = new ASTNode(new SyntaxHead("Identifier", 0),ast910, 5770, 5787);
var ast912 = new ASTNode(new SyntaxHead("::", 8),ast910, 5789, 5837);
var ast913 = new ASTNode(new SyntaxHead("Identifier", 0),ast912, 5789, 5791);
var ast914 = new ASTNode(new SyntaxHead("curly", 0),ast912, 5794, 5837);
var ast915 = new ASTNode(new SyntaxHead(".", 0),ast914, 5794, 5813);
var ast916 = new ASTNode(new SyntaxHead("Identifier", 0),ast915, 5794, 5804);
var ast917 = new ASTNode(new SyntaxHead("quote", 0),ast915, 5806, 5813);
var ast918 = new ASTNode(new SyntaxHead("Identifier", 0),ast917, 5806, 5813);
ast917.children = [ast918];
ast915.children = [ast916,ast917];
var ast919 = new ASTNode(new SyntaxHead(".", 0),ast914, 5815, 5836);
var ast920 = new ASTNode(new SyntaxHead("Identifier", 0),ast919, 5815, 5825);
var ast921 = new ASTNode(new SyntaxHead("quote", 0),ast919, 5827, 5836);
var ast922 = new ASTNode(new SyntaxHead("Identifier", 0),ast921, 5827, 5836);
ast921.children = [ast922];
ast919.children = [ast920,ast921];
ast914.children = [ast915,ast919];
ast912.children = [ast913,ast914];
ast910.children = [ast911,ast912];
var ast923 = new ASTNode(new SyntaxHead("block", 0),ast909, 5839, 6016);
var ast924 = new ASTNode(new SyntaxHead("call", 0),ast923, 5844, 5879);
var ast925 = new ASTNode(new SyntaxHead("Identifier", 0),ast924, 5844, 5865);
var ast926 = new ASTNode(new SyntaxHead(".", 0),ast924, 5867, 5878);
var ast927 = new ASTNode(new SyntaxHead(".", 0),ast926, 5867, 5874);
var ast928 = new ASTNode(new SyntaxHead("Identifier", 0),ast927, 5867, 5869);
var ast929 = new ASTNode(new SyntaxHead("quote", 0),ast927, 5871, 5874);
var ast930 = new ASTNode(new SyntaxHead("Identifier", 0),ast929, 5871, 5874);
ast929.children = [ast930];
ast927.children = [ast928,ast929];
var ast931 = new ASTNode(new SyntaxHead("quote", 0),ast926, 5876, 5878);
var ast932 = new ASTNode(new SyntaxHead("Identifier", 0),ast931, 5876, 5878);
ast931.children = [ast932];
ast926.children = [ast927,ast931];
ast924.children = [ast925,ast926];
var ast933 = new ASTNode(new SyntaxHead("=", 128),ast923, 5885, 5949);
var ast934 = new ASTNode(new SyntaxHead("tuple", 0),ast933, 5885, 5908);
var ast935 = new ASTNode(new SyntaxHead("Identifier", 0),ast934, 5885, 5885);
var ast936 = new ASTNode(new SyntaxHead("Identifier", 0),ast934, 5888, 5894);
var ast937 = new ASTNode(new SyntaxHead("Identifier", 0),ast934, 5897, 5908);
ast934.children = [ast935,ast936,ast937];
var ast938 = new ASTNode(new SyntaxHead("call", 0),ast933, 5912, 5949);
var ast939 = new ASTNode(new SyntaxHead("Identifier", 0),ast938, 5912, 5935);
var ast940 = new ASTNode(new SyntaxHead(".", 0),ast938, 5937, 5948);
var ast941 = new ASTNode(new SyntaxHead(".", 0),ast940, 5937, 5944);
var ast942 = new ASTNode(new SyntaxHead("Identifier", 0),ast941, 5937, 5939);
var ast943 = new ASTNode(new SyntaxHead("quote", 0),ast941, 5941, 5944);
var ast944 = new ASTNode(new SyntaxHead("Identifier", 0),ast943, 5941, 5944);
ast943.children = [ast944];
ast941.children = [ast942,ast943];
var ast945 = new ASTNode(new SyntaxHead("quote", 0),ast940, 5946, 5948);
var ast946 = new ASTNode(new SyntaxHead("Identifier", 0),ast945, 5946, 5948);
ast945.children = [ast946];
ast940.children = [ast941,ast945];
ast938.children = [ast939,ast940];
ast933.children = [ast934,ast938];
var ast947 = new ASTNode(new SyntaxHead("=", 128),ast923, 5955, 6001);
var ast948 = new ASTNode(new SyntaxHead("Identifier", 0),ast947, 5955, 5956);
var ast949 = new ASTNode(new SyntaxHead("call", 0),ast947, 5960, 6001);
var ast950 = new ASTNode(new SyntaxHead("Identifier", 0),ast949, 5960, 5973);
var ast951 = new ASTNode(new SyntaxHead("Identifier", 0),ast949, 5975, 5977);
var ast952 = new ASTNode(new SyntaxHead("Identifier", 0),ast949, 5980, 5986);
var ast953 = new ASTNode(new SyntaxHead("Identifier", 0),ast949, 5989, 6000);
ast949.children = [ast950,ast951,ast952,ast953];
ast947.children = [ast948,ast949];
var ast954 = new ASTNode(new SyntaxHead("return", 0),ast923, 6007, 6015);
var ast955 = new ASTNode(new SyntaxHead("Identifier", 0),ast954, 6014, 6015);
ast954.children = [ast955];
ast923.children = [ast924,ast933,ast947,ast954];
ast909.children = [ast910,ast923];
var ast956 = new ASTNode(new SyntaxHead("function", 0),ast1, 6023, 6638);
var ast957 = new ASTNode(new SyntaxHead("::", 8),ast956, 6032, 6159);
var ast958 = new ASTNode(new SyntaxHead("call", 0),ast957, 6032, 6151);
var ast959 = new ASTNode(new SyntaxHead("Identifier", 0),ast958, 6032, 6044);
var ast960 = new ASTNode(new SyntaxHead("::", 8),ast958, 6046, 6060);
var ast961 = new ASTNode(new SyntaxHead("Identifier", 0),ast960, 6046, 6050);
var ast962 = new ASTNode(new SyntaxHead("curly", 0),ast960, 6053, 6060);
var ast963 = new ASTNode(new SyntaxHead("Identifier", 0),ast962, 6053, 6055);
var ast964 = new ASTNode(new SyntaxHead("Identifier", 0),ast962, 6057, 6059);
ast962.children = [ast963,ast964];
ast960.children = [ast961,ast962];
var ast965 = new ASTNode(new SyntaxHead("::", 8),ast958, 6063, 6081);
var ast966 = new ASTNode(new SyntaxHead("Identifier", 0),ast965, 6063, 6065);
var ast967 = new ASTNode(new SyntaxHead("curly", 0),ast965, 6068, 6081);
var ast968 = new ASTNode(new SyntaxHead("Identifier", 0),ast967, 6068, 6073);
var ast969 = new ASTNode(new SyntaxHead("Identifier", 0),ast967, 6075, 6080);
ast967.children = [ast968,ast969];
ast965.children = [ast966,ast967];
var ast970 = new ASTNode(new SyntaxHead("::", 8),ast958, 6084, 6132);
var ast971 = new ASTNode(new SyntaxHead("Identifier", 0),ast970, 6084, 6086);
var ast972 = new ASTNode(new SyntaxHead("curly", 0),ast970, 6089, 6132);
var ast973 = new ASTNode(new SyntaxHead(".", 0),ast972, 6089, 6108);
var ast974 = new ASTNode(new SyntaxHead("Identifier", 0),ast973, 6089, 6099);
var ast975 = new ASTNode(new SyntaxHead("quote", 0),ast973, 6101, 6108);
var ast976 = new ASTNode(new SyntaxHead("Identifier", 0),ast975, 6101, 6108);
ast975.children = [ast976];
ast973.children = [ast974,ast975];
var ast977 = new ASTNode(new SyntaxHead(".", 0),ast972, 6110, 6131);
var ast978 = new ASTNode(new SyntaxHead("Identifier", 0),ast977, 6110, 6120);
var ast979 = new ASTNode(new SyntaxHead("quote", 0),ast977, 6122, 6131);
var ast980 = new ASTNode(new SyntaxHead("Identifier", 0),ast979, 6122, 6131);
ast979.children = [ast980];
ast977.children = [ast978,ast979];
ast972.children = [ast973,ast977];
ast970.children = [ast971,ast972];
var ast981 = new ASTNode(new SyntaxHead("::", 8),ast958, 6135, 6150);
var ast982 = new ASTNode(new SyntaxHead("Identifier", 0),ast981, 6135, 6142);
var ast983 = new ASTNode(new SyntaxHead("Identifier", 0),ast981, 6145, 6150);
ast981.children = [ast982,ast983];
ast958.children = [ast959,ast960,ast965,ast970,ast981];
var ast984 = new ASTNode(new SyntaxHead("Identifier", 0),ast957, 6154, 6159);
ast957.children = [ast958,ast984];
var ast985 = new ASTNode(new SyntaxHead("block", 0),ast956, 6160, 6635);
var ast986 = new ASTNode(new SyntaxHead("+=", 128),ast985, 6165, 6176);
var ast987 = new ASTNode(new SyntaxHead("ref", 0),ast986, 6165, 6171);
var ast988 = new ASTNode(new SyntaxHead("Identifier", 0),ast987, 6165, 6169);
ast987.children = [ast988];
var ast989 = new ASTNode(new SyntaxHead("Integer", 0),ast986, 6176, 6176);
ast986.children = [ast987,ast989];
var ast990 = new ASTNode(new SyntaxHead("=", 128),ast985, 6182, 6193);
var ast991 = new ASTNode(new SyntaxHead("Identifier", 0),ast990, 6182, 6183);
var ast992 = new ASTNode(new SyntaxHead("ref", 0),ast990, 6187, 6193);
var ast993 = new ASTNode(new SyntaxHead("Identifier", 0),ast992, 6187, 6191);
ast992.children = [ast993];
ast990.children = [ast991,ast992];
var ast994 = new ASTNode(new SyntaxHead("=", 128),ast985, 6199, 6231);
var ast995 = new ASTNode(new SyntaxHead("Identifier", 0),ast994, 6199, 6203);
var ast996 = new ASTNode(new SyntaxHead("call", 0),ast994, 6207, 6231);
var ast997 = new ASTNode(new SyntaxHead("Identifier", 0),ast996, 6207, 6212);
var ast998 = new ASTNode(new SyntaxHead(".", 0),ast996, 6214, 6230);
var ast999 = new ASTNode(new SyntaxHead(".", 0),ast998, 6214, 6221);
var ast1000 = new ASTNode(new SyntaxHead("Identifier", 0),ast999, 6214, 6216);
var ast1001 = new ASTNode(new SyntaxHead("quote", 0),ast999, 6218, 6221);
var ast1002 = new ASTNode(new SyntaxHead("Identifier", 0),ast1001, 6218, 6221);
ast1001.children = [ast1002];
ast999.children = [ast1000,ast1001];
var ast1003 = new ASTNode(new SyntaxHead("quote", 0),ast998, 6223, 6230);
var ast1004 = new ASTNode(new SyntaxHead("Identifier", 0),ast1003, 6223, 6230);
ast1003.children = [ast1004];
ast998.children = [ast999,ast1003];
ast996.children = [ast997,ast998];
ast994.children = [ast995,ast996];
var ast1005 = new ASTNode(new SyntaxHead("=", 128),ast985, 6237, 6272);
var ast1006 = new ASTNode(new SyntaxHead("Identifier", 0),ast1005, 6237, 6240);
var ast1007 = new ASTNode(new SyntaxHead("call", 8),ast1005, 6243, 6272);
var ast1008 = new ASTNode(new SyntaxHead("call", 8),ast1007, 6243, 6268);
var ast1009 = new ASTNode(new SyntaxHead("Identifier", 0),ast1008, 6244, 6248);
var ast1010 = new ASTNode(new SyntaxHead("+", 0),ast1008, 6250, 6250);
var ast1011 = new ASTNode(new SyntaxHead(".", 0),ast1008, 6252, 6268);
var ast1012 = new ASTNode(new SyntaxHead(".", 0),ast1011, 6252, 6263);
var ast1013 = new ASTNode(new SyntaxHead(".", 0),ast1012, 6252, 6259);
var ast1014 = new ASTNode(new SyntaxHead("Identifier", 0),ast1013, 6252, 6254);
var ast1015 = new ASTNode(new SyntaxHead("quote", 0),ast1013, 6256, 6259);
var ast1016 = new ASTNode(new SyntaxHead("Identifier", 0),ast1015, 6256, 6259);
ast1015.children = [ast1016];
ast1013.children = [ast1014,ast1015];
var ast1017 = new ASTNode(new SyntaxHead("quote", 0),ast1012, 6261, 6263);
var ast1018 = new ASTNode(new SyntaxHead("Identifier", 0),ast1017, 6261, 6263);
ast1017.children = [ast1018];
ast1012.children = [ast1013,ast1017];
var ast1019 = new ASTNode(new SyntaxHead("quote", 0),ast1011, 6265, 6268);
var ast1020 = new ASTNode(new SyntaxHead("Identifier", 0),ast1019, 6265, 6268);
ast1019.children = [ast1020];
ast1011.children = [ast1012,ast1019];
ast1008.children = [ast1009,ast1010,ast1011];
var ast1021 = new ASTNode(new SyntaxHead("-", 0),ast1007, 6270, 6270);
var ast1022 = new ASTNode(new SyntaxHead("Integer", 0),ast1007, 6272, 6272);
ast1007.children = [ast1008,ast1021,ast1022];
ast1005.children = [ast1006,ast1007];
var ast1023 = new ASTNode(new SyntaxHead("=", 128),ast985, 6278, 6301);
var ast1024 = new ASTNode(new SyntaxHead("Identifier", 0),ast1023, 6278, 6281);
var ast1025 = new ASTNode(new SyntaxHead(".", 0),ast1023, 6285, 6301);
var ast1026 = new ASTNode(new SyntaxHead(".", 0),ast1025, 6285, 6296);
var ast1027 = new ASTNode(new SyntaxHead(".", 0),ast1026, 6285, 6292);
var ast1028 = new ASTNode(new SyntaxHead("Identifier", 0),ast1027, 6285, 6287);
var ast1029 = new ASTNode(new SyntaxHead("quote", 0),ast1027, 6289, 6292);
var ast1030 = new ASTNode(new SyntaxHead("Identifier", 0),ast1029, 6289, 6292);
ast1029.children = [ast1030];
ast1027.children = [ast1028,ast1029];
var ast1031 = new ASTNode(new SyntaxHead("quote", 0),ast1026, 6294, 6296);
var ast1032 = new ASTNode(new SyntaxHead("Identifier", 0),ast1031, 6294, 6296);
ast1031.children = [ast1032];
ast1026.children = [ast1027,ast1031];
var ast1033 = new ASTNode(new SyntaxHead("quote", 0),ast1025, 6298, 6301);
var ast1034 = new ASTNode(new SyntaxHead("Identifier", 0),ast1033, 6298, 6301);
ast1033.children = [ast1034];
ast1025.children = [ast1026,ast1033];
ast1023.children = [ast1024,ast1025];
var ast1035 = new ASTNode(new SyntaxHead("call", 0),ast985, 6307, 6422);
var ast1036 = new ASTNode(new SyntaxHead("Identifier", 0),ast1035, 6307, 6311);
var ast1037 = new ASTNode(new SyntaxHead("Identifier", 0),ast1035, 6313, 6315);
var ast1038 = new ASTNode(new SyntaxHead("string", 0),ast1035, 6318, 6421);
var ast1039 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6319, 6325);
var ast1040 = new ASTNode(new SyntaxHead("Identifier", 0),ast1038, 6327, 6328);
var ast1041 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6329, 6360);
var ast1042 = new ASTNode(new SyntaxHead("call", 0),ast1038, 6363, 6375);
var ast1043 = new ASTNode(new SyntaxHead("Identifier", 0),ast1042, 6363, 6369);
var ast1044 = new ASTNode(new SyntaxHead("Identifier", 0),ast1042, 6371, 6374);
ast1042.children = [ast1043,ast1044];
var ast1045 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6377, 6380);
var ast1046 = new ASTNode(new SyntaxHead(".", 0),ast1038, 6383, 6392);
var ast1047 = new ASTNode(new SyntaxHead("Identifier", 0),ast1046, 6383, 6386);
var ast1048 = new ASTNode(new SyntaxHead("quote", 0),ast1046, 6388, 6392);
var ast1049 = new ASTNode(new SyntaxHead("Identifier", 0),ast1048, 6388, 6392);
ast1048.children = [ast1049];
ast1046.children = [ast1047,ast1048];
var ast1050 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6394, 6395);
var ast1051 = new ASTNode(new SyntaxHead("Identifier", 0),ast1038, 6397, 6404);
var ast1052 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6405, 6406);
var ast1053 = new ASTNode(new SyntaxHead("Identifier", 0),ast1038, 6408, 6412);
var ast1054 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6413, 6414);
var ast1055 = new ASTNode(new SyntaxHead("Identifier", 0),ast1038, 6416, 6419);
var ast1056 = new ASTNode(new SyntaxHead("String", 0),ast1038, 6420, 6420);
ast1038.children = [ast1039,ast1040,ast1041,ast1042,ast1045,ast1046,ast1050,ast1051,ast1052,ast1053,ast1054,ast1055,ast1056];
ast1035.children = [ast1036,ast1037,ast1038];
var ast1057 = new ASTNode(new SyntaxHead("=", 128),ast985, 6428, 6443);
var ast1058 = new ASTNode(new SyntaxHead("Identifier", 0),ast1057, 6428, 6428);
var ast1059 = new ASTNode(new SyntaxHead(".", 0),ast1057, 6432, 6443);
var ast1060 = new ASTNode(new SyntaxHead("Identifier", 0),ast1059, 6432, 6434);
var ast1061 = new ASTNode(new SyntaxHead("quote", 0),ast1059, 6436, 6443);
var ast1062 = new ASTNode(new SyntaxHead("Identifier", 0),ast1061, 6436, 6443);
ast1061.children = [ast1062];
ast1059.children = [ast1060,ast1061];
ast1057.children = [ast1058,ast1059];
var ast1063 = new ASTNode(new SyntaxHead("if", 0),ast985, 6449, 6614);
var ast1064 = new ASTNode(new SyntaxHead("call", 16),ast1063, 6451, 6467);
var ast1065 = new ASTNode(new SyntaxHead("!", 0),ast1064, 6452, 6452);
var ast1066 = new ASTNode(new SyntaxHead("call", 8),ast1064, 6454, 6466);
var ast1067 = new ASTNode(new SyntaxHead("Identifier", 0),ast1066, 6454, 6454);
var ast1068 = new ASTNode(new SyntaxHead("isa", 0),ast1066, 6456, 6458);
var ast1069 = new ASTNode(new SyntaxHead("Identifier", 0),ast1066, 6460, 6466);
ast1066.children = [ast1067,ast1068,ast1069];
ast1064.children = [ast1065,ast1066];
var ast1070 = new ASTNode(new SyntaxHead("block", 0),ast1063, 6468, 6611);
var ast1071 = new ASTNode(new SyntaxHead("=", 128),ast1070, 6477, 6557);
var ast1072 = new ASTNode(new SyntaxHead("Identifier", 0),ast1071, 6477, 6481);
var ast1073 = new ASTNode(new SyntaxHead("call", 0),ast1071, 6485, 6557);
var ast1074 = new ASTNode(new SyntaxHead("Identifier", 0),ast1073, 6485, 6488);
var ast1075 = new ASTNode(new SyntaxHead("comprehension", 0),ast1073, 6490, 6551);
var ast1076 = new ASTNode(new SyntaxHead("generator", 0),ast1075, 6491, 6550);
var ast1077 = new ASTNode(new SyntaxHead("call", 0),ast1076, 6491, 6528);
var ast1078 = new ASTNode(new SyntaxHead("Identifier", 0),ast1077, 6491, 6503);
var ast1079 = new ASTNode(new SyntaxHead("Identifier", 0),ast1077, 6505, 6509);
var ast1080 = new ASTNode(new SyntaxHead("Identifier", 0),ast1077, 6512, 6514);
var ast1081 = new ASTNode(new SyntaxHead("Identifier", 0),ast1077, 6517, 6517);
var ast1082 = new ASTNode(new SyntaxHead("string", 0),ast1077, 6520, 6527);
var ast1083 = new ASTNode(new SyntaxHead("String", 0),ast1082, 6521, 6523);
var ast1084 = new ASTNode(new SyntaxHead("Identifier", 0),ast1082, 6525, 6526);
ast1082.children = [ast1083,ast1084];
ast1077.children = [ast1078,ast1079,ast1080,ast1081,ast1082];
var ast1085 = new ASTNode(new SyntaxHead("=", 0),ast1076, 6533, 6550);
var ast1086 = new ASTNode(new SyntaxHead("Identifier", 0),ast1085, 6534, 6534);
var ast1087 = new ASTNode(new SyntaxHead(".", 0),ast1085, 6539, 6550);
var ast1088 = new ASTNode(new SyntaxHead("Identifier", 0),ast1087, 6539, 6541);
var ast1089 = new ASTNode(new SyntaxHead("quote", 0),ast1087, 6543, 6550);
var ast1090 = new ASTNode(new SyntaxHead("Identifier", 0),ast1089, 6543, 6550);
ast1089.children = [ast1090];
ast1087.children = [ast1088,ast1089];
ast1085.children = [ast1086,ast1087];
ast1076.children = [ast1077,ast1085];
ast1075.children = [ast1076];
var ast1091 = new ASTNode(new SyntaxHead("char", 0),ast1073, 6554, 6556);
var ast1092 = new ASTNode(new SyntaxHead("Char", 0),ast1091, 6555, 6555);
ast1091.children = [ast1092];
ast1073.children = [ast1074,ast1075,ast1091];
ast1071.children = [ast1072,ast1073];
var ast1093 = new ASTNode(new SyntaxHead("call", 0),ast1070, 6567, 6606);
var ast1094 = new ASTNode(new SyntaxHead("Identifier", 0),ast1093, 6567, 6571);
var ast1095 = new ASTNode(new SyntaxHead("Identifier", 0),ast1093, 6573, 6575);
var ast1096 = new ASTNode(new SyntaxHead("string", 0),ast1093, 6578, 6605);
var ast1097 = new ASTNode(new SyntaxHead("String", 0),ast1096, 6579, 6581);
var ast1098 = new ASTNode(new SyntaxHead("Identifier", 0),ast1096, 6583, 6584);
var ast1099 = new ASTNode(new SyntaxHead("String", 0),ast1096, 6585, 6597);
var ast1100 = new ASTNode(new SyntaxHead("Identifier", 0),ast1096, 6599, 6603);
var ast1101 = new ASTNode(new SyntaxHead("String", 0),ast1096, 6604, 6604);
ast1096.children = [ast1097,ast1098,ast1099,ast1100,ast1101];
ast1093.children = [ast1094,ast1095,ast1096];
ast1070.children = [ast1071,ast1093];
ast1063.children = [ast1064,ast1070];
var ast1102 = new ASTNode(new SyntaxHead("return", 0),ast985, 6620, 6634);
var ast1103 = new ASTNode(new SyntaxHead("string", 0),ast1102, 6627, 6634);
var ast1104 = new ASTNode(new SyntaxHead("String", 0),ast1103, 6628, 6630);
var ast1105 = new ASTNode(new SyntaxHead("Identifier", 0),ast1103, 6632, 6633);
ast1103.children = [ast1104,ast1105];
ast1102.children = [ast1103];
ast985.children = [ast986,ast990,ast994,ast1005,ast1023,ast1035,ast1057,ast1063,ast1102];
ast956.children = [ast957,ast985];
var ast1106 = new ASTNode(new SyntaxHead("function", 0),ast1, 6641, 6830);
var ast1107 = new ASTNode(new SyntaxHead("call", 0),ast1106, 6650, 6712);
var ast1108 = new ASTNode(new SyntaxHead("Identifier", 0),ast1107, 6650, 6661);
var ast1109 = new ASTNode(new SyntaxHead("::", 8),ast1107, 6663, 6711);
var ast1110 = new ASTNode(new SyntaxHead("Identifier", 0),ast1109, 6663, 6665);
var ast1111 = new ASTNode(new SyntaxHead("curly", 0),ast1109, 6668, 6711);
var ast1112 = new ASTNode(new SyntaxHead(".", 0),ast1111, 6668, 6687);
var ast1113 = new ASTNode(new SyntaxHead("Identifier", 0),ast1112, 6668, 6678);
var ast1114 = new ASTNode(new SyntaxHead("quote", 0),ast1112, 6680, 6687);
var ast1115 = new ASTNode(new SyntaxHead("Identifier", 0),ast1114, 6680, 6687);
ast1114.children = [ast1115];
ast1112.children = [ast1113,ast1114];
var ast1116 = new ASTNode(new SyntaxHead(".", 0),ast1111, 6689, 6710);
var ast1117 = new ASTNode(new SyntaxHead("Identifier", 0),ast1116, 6689, 6699);
var ast1118 = new ASTNode(new SyntaxHead("quote", 0),ast1116, 6701, 6710);
var ast1119 = new ASTNode(new SyntaxHead("Identifier", 0),ast1118, 6701, 6710);
ast1118.children = [ast1119];
ast1116.children = [ast1117,ast1118];
ast1111.children = [ast1112,ast1116];
ast1109.children = [ast1110,ast1111];
ast1107.children = [ast1108,ast1109];
var ast1120 = new ASTNode(new SyntaxHead("block", 0),ast1106, 6713, 6827);
var ast1121 = new ASTNode(new SyntaxHead("=", 128),ast1120, 6718, 6736);
var ast1122 = new ASTNode(new SyntaxHead("Identifier", 0),ast1121, 6718, 6722);
var ast1123 = new ASTNode(new SyntaxHead("call", 0),ast1121, 6726, 6736);
var ast1124 = new ASTNode(new SyntaxHead("curly", 0),ast1123, 6726, 6733);
var ast1125 = new ASTNode(new SyntaxHead("Identifier", 0),ast1124, 6726, 6728);
var ast1126 = new ASTNode(new SyntaxHead("Identifier", 0),ast1124, 6730, 6732);
ast1124.children = [ast1125,ast1126];
var ast1127 = new ASTNode(new SyntaxHead("Integer", 0),ast1123, 6735, 6735);
ast1123.children = [ast1124,ast1127];
ast1121.children = [ast1122,ast1123];
var ast1128 = new ASTNode(new SyntaxHead("=", 128),ast1120, 6742, 6755);
var ast1129 = new ASTNode(new SyntaxHead("Identifier", 0),ast1128, 6742, 6744);
var ast1130 = new ASTNode(new SyntaxHead("ref", 0),ast1128, 6748, 6755);
var ast1131 = new ASTNode(new SyntaxHead("Identifier", 0),ast1130, 6748, 6753);
ast1130.children = [ast1131];
ast1128.children = [ast1129,ast1130];
var ast1132 = new ASTNode(new SyntaxHead("call", 0),ast1120, 6761, 6798);
var ast1133 = new ASTNode(new SyntaxHead("Identifier", 0),ast1132, 6761, 6773);
var ast1134 = new ASTNode(new SyntaxHead("Identifier", 0),ast1132, 6775, 6779);
var ast1135 = new ASTNode(new SyntaxHead("Identifier", 0),ast1132, 6782, 6784);
var ast1136 = new ASTNode(new SyntaxHead("Identifier", 0),ast1132, 6787, 6789);
var ast1137 = new ASTNode(new SyntaxHead("string", 0),ast1132, 6792, 6797);
var ast1138 = new ASTNode(new SyntaxHead("String", 0),ast1137, 6793, 6796);
ast1137.children = [ast1138];
ast1132.children = [ast1133,ast1134,ast1135,ast1136,ast1137];
var ast1139 = new ASTNode(new SyntaxHead("return", 0),ast1120, 6804, 6826);
var ast1140 = new ASTNode(new SyntaxHead("call", 0),ast1139, 6811, 6826);
var ast1141 = new ASTNode(new SyntaxHead("Identifier", 0),ast1140, 6811, 6814);
var ast1142 = new ASTNode(new SyntaxHead("Identifier", 0),ast1140, 6816, 6818);
var ast1143 = new ASTNode(new SyntaxHead("string", 0),ast1140, 6821, 6825);
var ast1144 = new ASTNode(new SyntaxHead("String", 0),ast1143, 6822, 6824);
ast1143.children = [ast1144];
ast1140.children = [ast1141,ast1142,ast1143];
ast1139.children = [ast1140];
ast1120.children = [ast1121,ast1128,ast1132,ast1139];
ast1106.children = [ast1107,ast1120];
var ast1145 = new ASTNode(new SyntaxHead("do", 0),ast1, 6834, 7593);
var ast1146 = new ASTNode(new SyntaxHead("call", 0),ast1145, 6834, 6890);
var ast1147 = new ASTNode(new SyntaxHead("Identifier", 0),ast1146, 6834, 6837);
var ast1148 = new ASTNode(new SyntaxHead("call", 0),ast1146, 6839, 6877);
var ast1149 = new ASTNode(new SyntaxHead("Identifier", 0),ast1148, 6839, 6846);
var ast1150 = new ASTNode(new SyntaxHead("macrocall", 0),ast1148, 6848, 6855);
var ast1151 = new ASTNode(new SyntaxHead("MacroName", 0),ast1150, 6849, 6855);
ast1150.children = [ast1151];
var ast1152 = new ASTNode(new SyntaxHead("string", 0),ast1148, 6858, 6862);
var ast1153 = new ASTNode(new SyntaxHead("String", 0),ast1152, 6859, 6861);
ast1152.children = [ast1153];
var ast1154 = new ASTNode(new SyntaxHead("string", 0),ast1148, 6865, 6876);
var ast1155 = new ASTNode(new SyntaxHead("String", 0),ast1154, 6866, 6875);
ast1154.children = [ast1155];
ast1148.children = [ast1149,ast1150,ast1152,ast1154];
var ast1156 = new ASTNode(new SyntaxHead("=", 0),ast1146, 6880, 6889);
var ast1157 = new ASTNode(new SyntaxHead("Identifier", 0),ast1156, 6880, 6884);
var ast1158 = new ASTNode(new SyntaxHead("true", 0),ast1156, 6886, 6889);
ast1156.children = [ast1157,ast1158];
ast1146.children = [ast1147,ast1148,ast1156];
var ast1159 = new ASTNode(new SyntaxHead("tuple", 0),ast1145, 6894, 6895);
var ast1160 = new ASTNode(new SyntaxHead("Identifier", 0),ast1159, 6895, 6895);
ast1159.children = [ast1160];
var ast1161 = new ASTNode(new SyntaxHead("block", 0),ast1145, 6896, 7590);
var ast1162 = new ASTNode(new SyntaxHead("=", 128),ast1161, 6901, 6992);
var ast1163 = new ASTNode(new SyntaxHead("Identifier", 0),ast1162, 6901, 6901);
var ast1164 = new ASTNode(new SyntaxHead("do", 0),ast1162, 6905, 6992);
var ast1165 = new ASTNode(new SyntaxHead("call", 0),ast1164, 6905, 6919);
var ast1166 = new ASTNode(new SyntaxHead("Identifier", 0),ast1165, 6905, 6908);
var ast1167 = new ASTNode(new SyntaxHead("macrocall", 0),ast1165, 6910, 6918);
var ast1168 = new ASTNode(new SyntaxHead("MacroName", 0),ast1167, 6911, 6918);
ast1167.children = [ast1168];
ast1165.children = [ast1166,ast1167];
var ast1169 = new ASTNode(new SyntaxHead("tuple", 0),ast1164, 6923, 6924);
var ast1170 = new ASTNode(new SyntaxHead("Identifier", 0),ast1169, 6924, 6924);
ast1169.children = [ast1170];
var ast1171 = new ASTNode(new SyntaxHead("block", 0),ast1164, 6925, 6989);
var ast1172 = new ASTNode(new SyntaxHead("call", 0),ast1171, 6934, 6984);
var ast1173 = new ASTNode(new SyntaxHead("Identifier", 0),ast1172, 6934, 6948);
var ast1174 = new ASTNode(new SyntaxHead("call", 0),ast1172, 6950, 6964);
var ast1175 = new ASTNode(new SyntaxHead("Identifier", 0),ast1174, 6950, 6953);
var ast1176 = new ASTNode(new SyntaxHead("Identifier", 0),ast1174, 6955, 6955);
var ast1177 = new ASTNode(new SyntaxHead("Identifier", 0),ast1174, 6958, 6963);
ast1174.children = [ast1175,ast1176,ast1177];
var ast1178 = new ASTNode(new SyntaxHead("parameters", 0),ast1172, 6965, 6983);
var ast1179 = new ASTNode(new SyntaxHead("=", 0),ast1178, 6966, 6983);
var ast1180 = new ASTNode(new SyntaxHead("Identifier", 0),ast1179, 6966, 6973);
var ast1181 = new ASTNode(new SyntaxHead("macrocall", 0),ast1179, 6975, 6983);
var ast1182 = new ASTNode(new SyntaxHead("MacroName", 0),ast1181, 6976, 6983);
ast1181.children = [ast1182];
ast1179.children = [ast1180,ast1181];
ast1178.children = [ast1179];
ast1172.children = [ast1173,ast1174,ast1178];
ast1171.children = [ast1172];
ast1164.children = [ast1165,ast1169,ast1171];
ast1162.children = [ast1163,ast1164];
var ast1183 = new ASTNode(new SyntaxHead("call", 0),ast1161, 6998, 7014);
var ast1184 = new ASTNode(new SyntaxHead("Identifier", 0),ast1183, 6998, 7002);
var ast1185 = new ASTNode(new SyntaxHead("Identifier", 0),ast1183, 7004, 7004);
var ast1186 = new ASTNode(new SyntaxHead("call", 0),ast1183, 7007, 7013);
var ast1187 = new ASTNode(new SyntaxHead("Identifier", 0),ast1186, 7007, 7010);
var ast1188 = new ASTNode(new SyntaxHead("Identifier", 0),ast1186, 7012, 7012);
ast1186.children = [ast1187,ast1188];
ast1183.children = [ast1184,ast1185,ast1186];
var ast1189 = new ASTNode(new SyntaxHead("do", 0),ast1161, 7020, 7278);
var ast1190 = new ASTNode(new SyntaxHead("call", 0),ast1189, 7020, 7073);
var ast1191 = new ASTNode(new SyntaxHead("Identifier", 0),ast1190, 7020, 7023);
var ast1192 = new ASTNode(new SyntaxHead("call", 0),ast1190, 7025, 7060);
var ast1193 = new ASTNode(new SyntaxHead("Identifier", 0),ast1192, 7025, 7032);
var ast1194 = new ASTNode(new SyntaxHead("macrocall", 0),ast1192, 7034, 7041);
var ast1195 = new ASTNode(new SyntaxHead("MacroName", 0),ast1194, 7035, 7041);
ast1194.children = [ast1195];
var ast1196 = new ASTNode(new SyntaxHead("string", 0),ast1192, 7044, 7048);
var ast1197 = new ASTNode(new SyntaxHead("String", 0),ast1196, 7045, 7047);
ast1196.children = [ast1197];
var ast1198 = new ASTNode(new SyntaxHead("string", 0),ast1192, 7051, 7059);
var ast1199 = new ASTNode(new SyntaxHead("String", 0),ast1198, 7052, 7058);
ast1198.children = [ast1199];
ast1192.children = [ast1193,ast1194,ast1196,ast1198];
var ast1200 = new ASTNode(new SyntaxHead("=", 0),ast1190, 7063, 7072);
var ast1201 = new ASTNode(new SyntaxHead("Identifier", 0),ast1200, 7063, 7067);
var ast1202 = new ASTNode(new SyntaxHead("true", 0),ast1200, 7069, 7072);
ast1200.children = [ast1201,ast1202];
ast1190.children = [ast1191,ast1192,ast1200];
var ast1203 = new ASTNode(new SyntaxHead("tuple", 0),ast1189, 7077, 7078);
var ast1204 = new ASTNode(new SyntaxHead("Identifier", 0),ast1203, 7078, 7078);
ast1203.children = [ast1204];
var ast1205 = new ASTNode(new SyntaxHead("block", 0),ast1189, 7079, 7275);
var ast1206 = new ASTNode(new SyntaxHead("=", 128),ast1205, 7088, 7218);
var ast1207 = new ASTNode(new SyntaxHead("Identifier", 0),ast1206, 7088, 7090);
var ast1208 = new ASTNode(new SyntaxHead("do", 0),ast1206, 7094, 7218);
var ast1209 = new ASTNode(new SyntaxHead("call", 0),ast1208, 7094, 7108);
var ast1210 = new ASTNode(new SyntaxHead("Identifier", 0),ast1209, 7094, 7097);
var ast1211 = new ASTNode(new SyntaxHead("macrocall", 0),ast1209, 7099, 7107);
var ast1212 = new ASTNode(new SyntaxHead("MacroName", 0),ast1211, 7100, 7107);
ast1211.children = [ast1212];
ast1209.children = [ast1210,ast1211];
var ast1213 = new ASTNode(new SyntaxHead("tuple", 0),ast1208, 7112, 7113);
var ast1214 = new ASTNode(new SyntaxHead("Identifier", 0),ast1213, 7113, 7113);
ast1213.children = [ast1214];
var ast1215 = new ASTNode(new SyntaxHead("block", 0),ast1208, 7114, 7215);
var ast1216 = new ASTNode(new SyntaxHead("call", 0),ast1215, 7127, 7206);
var ast1217 = new ASTNode(new SyntaxHead(".", 0),ast1216, 7127, 7146);
var ast1218 = new ASTNode(new SyntaxHead("Identifier", 0),ast1217, 7127, 7137);
var ast1219 = new ASTNode(new SyntaxHead("quote", 0),ast1217, 7139, 7146);
var ast1220 = new ASTNode(new SyntaxHead("Identifier", 0),ast1219, 7139, 7146);
ast1219.children = [ast1220];
ast1217.children = [ast1218,ast1219];
var ast1221 = new ASTNode(new SyntaxHead(".", 0),ast1216, 7148, 7169);
var ast1222 = new ASTNode(new SyntaxHead("Identifier", 0),ast1221, 7148, 7158);
var ast1223 = new ASTNode(new SyntaxHead("quote", 0),ast1221, 7160, 7169);
var ast1224 = new ASTNode(new SyntaxHead("Identifier", 0),ast1223, 7160, 7169);
ast1223.children = [ast1224];
ast1221.children = [ast1222,ast1223];
var ast1225 = new ASTNode(new SyntaxHead("call", 0),ast1216, 7172, 7186);
var ast1226 = new ASTNode(new SyntaxHead("Identifier", 0),ast1225, 7172, 7175);
var ast1227 = new ASTNode(new SyntaxHead("Identifier", 0),ast1225, 7177, 7177);
var ast1228 = new ASTNode(new SyntaxHead("Identifier", 0),ast1225, 7180, 7185);
ast1225.children = [ast1226,ast1227,ast1228];
var ast1229 = new ASTNode(new SyntaxHead("parameters", 0),ast1216, 7187, 7205);
var ast1230 = new ASTNode(new SyntaxHead("=", 0),ast1229, 7188, 7205);
var ast1231 = new ASTNode(new SyntaxHead("Identifier", 0),ast1230, 7188, 7195);
var ast1232 = new ASTNode(new SyntaxHead("macrocall", 0),ast1230, 7197, 7205);
var ast1233 = new ASTNode(new SyntaxHead("MacroName", 0),ast1232, 7198, 7205);
ast1232.children = [ast1233];
ast1230.children = [ast1231,ast1232];
ast1229.children = [ast1230];
ast1216.children = [ast1217,ast1221,ast1225,ast1229];
ast1215.children = [ast1216];
ast1208.children = [ast1209,ast1213,ast1215];
ast1206.children = [ast1207,ast1208];
var ast1234 = new ASTNode(new SyntaxHead("=", 128),ast1205, 7228, 7249);
var ast1235 = new ASTNode(new SyntaxHead("Identifier", 0),ast1234, 7228, 7229);
var ast1236 = new ASTNode(new SyntaxHead("call", 0),ast1234, 7233, 7249);
var ast1237 = new ASTNode(new SyntaxHead("Identifier", 0),ast1236, 7233, 7244);
var ast1238 = new ASTNode(new SyntaxHead("Identifier", 0),ast1236, 7246, 7248);
ast1236.children = [ast1237,ast1238];
ast1234.children = [ast1235,ast1236];
var ast1239 = new ASTNode(new SyntaxHead("call", 0),ast1205, 7259, 7270);
var ast1240 = new ASTNode(new SyntaxHead("Identifier", 0),ast1239, 7259, 7263);
var ast1241 = new ASTNode(new SyntaxHead("Identifier", 0),ast1239, 7265, 7265);
var ast1242 = new ASTNode(new SyntaxHead("Identifier", 0),ast1239, 7268, 7269);
ast1239.children = [ast1240,ast1241,ast1242];
ast1205.children = [ast1206,ast1234,ast1239];
ast1189.children = [ast1190,ast1203,ast1205];
var ast1243 = new ASTNode(new SyntaxHead("=", 128),ast1161, 7284, 7496);
var ast1244 = new ASTNode(new SyntaxHead("Identifier", 0),ast1243, 7284, 7285);
var ast1245 = new ASTNode(new SyntaxHead("do", 0),ast1243, 7289, 7496);
var ast1246 = new ASTNode(new SyntaxHead("call", 0),ast1245, 7289, 7330);
var ast1247 = new ASTNode(new SyntaxHead("Identifier", 0),ast1246, 7289, 7292);
var ast1248 = new ASTNode(new SyntaxHead("call", 0),ast1246, 7294, 7329);
var ast1249 = new ASTNode(new SyntaxHead("Identifier", 0),ast1248, 7294, 7301);
var ast1250 = new ASTNode(new SyntaxHead("macrocall", 0),ast1248, 7303, 7310);
var ast1251 = new ASTNode(new SyntaxHead("MacroName", 0),ast1250, 7304, 7310);
ast1250.children = [ast1251];
var ast1252 = new ASTNode(new SyntaxHead("string", 0),ast1248, 7313, 7317);
var ast1253 = new ASTNode(new SyntaxHead("String", 0),ast1252, 7314, 7316);
ast1252.children = [ast1253];
var ast1254 = new ASTNode(new SyntaxHead("string", 0),ast1248, 7320, 7328);
var ast1255 = new ASTNode(new SyntaxHead("String", 0),ast1254, 7321, 7327);
ast1254.children = [ast1255];
ast1248.children = [ast1249,ast1250,ast1252,ast1254];
ast1246.children = [ast1247,ast1248];
var ast1256 = new ASTNode(new SyntaxHead("tuple", 0),ast1245, 7334, 7335);
var ast1257 = new ASTNode(new SyntaxHead("Identifier", 0),ast1256, 7335, 7335);
ast1256.children = [ast1257];
var ast1258 = new ASTNode(new SyntaxHead("block", 0),ast1245, 7336, 7493);
var ast1259 = new ASTNode(new SyntaxHead("=", 128),ast1258, 7345, 7364);
var ast1260 = new ASTNode(new SyntaxHead("Identifier", 0),ast1259, 7345, 7346);
var ast1261 = new ASTNode(new SyntaxHead("call", 0),ast1259, 7350, 7364);
var ast1262 = new ASTNode(new SyntaxHead("Identifier", 0),ast1261, 7350, 7353);
var ast1263 = new ASTNode(new SyntaxHead("Identifier", 0),ast1261, 7355, 7355);
var ast1264 = new ASTNode(new SyntaxHead("Identifier", 0),ast1261, 7358, 7363);
ast1261.children = [ast1262,ast1263,ast1264];
ast1259.children = [ast1260,ast1261];
var ast1265 = new ASTNode(new SyntaxHead("=", 128),ast1258, 7374, 7467);
var ast1266 = new ASTNode(new SyntaxHead("Identifier", 0),ast1265, 7374, 7375);
var ast1267 = new ASTNode(new SyntaxHead("do", 0),ast1265, 7379, 7467);
var ast1268 = new ASTNode(new SyntaxHead("call", 0),ast1267, 7379, 7422);
var ast1269 = new ASTNode(new SyntaxHead("Identifier", 0),ast1268, 7379, 7382);
var ast1270 = new ASTNode(new SyntaxHead("call", 0),ast1268, 7384, 7421);
var ast1271 = new ASTNode(new SyntaxHead("Identifier", 0),ast1270, 7384, 7391);
var ast1272 = new ASTNode(new SyntaxHead("macrocall", 0),ast1270, 7393, 7400);
var ast1273 = new ASTNode(new SyntaxHead("MacroName", 0),ast1272, 7394, 7400);
ast1272.children = [ast1273];
var ast1274 = new ASTNode(new SyntaxHead("string", 0),ast1270, 7403, 7407);
var ast1275 = new ASTNode(new SyntaxHead("String", 0),ast1274, 7404, 7406);
ast1274.children = [ast1275];
var ast1276 = new ASTNode(new SyntaxHead("string", 0),ast1270, 7410, 7420);
var ast1277 = new ASTNode(new SyntaxHead("String", 0),ast1276, 7411, 7419);
ast1276.children = [ast1277];
ast1270.children = [ast1271,ast1272,ast1274,ast1276];
ast1268.children = [ast1269,ast1270];
var ast1278 = new ASTNode(new SyntaxHead("tuple", 0),ast1267, 7426, 7427);
var ast1279 = new ASTNode(new SyntaxHead("Identifier", 0),ast1278, 7427, 7427);
ast1278.children = [ast1279];
var ast1280 = new ASTNode(new SyntaxHead("block", 0),ast1267, 7428, 7464);
var ast1281 = new ASTNode(new SyntaxHead("call", 0),ast1280, 7441, 7455);
var ast1282 = new ASTNode(new SyntaxHead("Identifier", 0),ast1281, 7441, 7444);
var ast1283 = new ASTNode(new SyntaxHead("Identifier", 0),ast1281, 7446, 7446);
var ast1284 = new ASTNode(new SyntaxHead("Identifier", 0),ast1281, 7449, 7454);
ast1281.children = [ast1282,ast1283,ast1284];
ast1280.children = [ast1281];
ast1267.children = [ast1268,ast1278,ast1280];
ast1265.children = [ast1266,ast1267];
var ast1285 = new ASTNode(new SyntaxHead("return", 0),ast1258, 7477, 7488);
var ast1286 = new ASTNode(new SyntaxHead("call", 8),ast1285, 7483, 7488);
var ast1287 = new ASTNode(new SyntaxHead("Identifier", 0),ast1286, 7484, 7485);
var ast1288 = new ASTNode(new SyntaxHead("*", 0),ast1286, 7486, 7486);
var ast1289 = new ASTNode(new SyntaxHead("Identifier", 0),ast1286, 7487, 7488);
ast1286.children = [ast1287,ast1288,ast1289];
ast1285.children = [ast1286];
ast1258.children = [ast1259,ast1265,ast1285];
ast1245.children = [ast1246,ast1256,ast1258];
ast1243.children = [ast1244,ast1245];
var ast1290 = new ASTNode(new SyntaxHead("do", 0),ast1161, 7502, 7589);
var ast1291 = new ASTNode(new SyntaxHead("call", 0),ast1290, 7502, 7555);
var ast1292 = new ASTNode(new SyntaxHead("Identifier", 0),ast1291, 7502, 7505);
var ast1293 = new ASTNode(new SyntaxHead("call", 0),ast1291, 7507, 7543);
var ast1294 = new ASTNode(new SyntaxHead("Identifier", 0),ast1293, 7507, 7514);
var ast1295 = new ASTNode(new SyntaxHead("macrocall", 0),ast1293, 7516, 7523);
var ast1296 = new ASTNode(new SyntaxHead("MacroName", 0),ast1295, 7517, 7523);
ast1295.children = [ast1296];
var ast1297 = new ASTNode(new SyntaxHead("string", 0),ast1293, 7526, 7530);
var ast1298 = new ASTNode(new SyntaxHead("String", 0),ast1297, 7527, 7529);
ast1297.children = [ast1298];
var ast1299 = new ASTNode(new SyntaxHead("string", 0),ast1293, 7533, 7542);
var ast1300 = new ASTNode(new SyntaxHead("String", 0),ast1299, 7534, 7541);
ast1299.children = [ast1300];
ast1293.children = [ast1294,ast1295,ast1297,ast1299];
var ast1301 = new ASTNode(new SyntaxHead("parameters", 0),ast1291, 7544, 7554);
var ast1302 = new ASTNode(new SyntaxHead("=", 0),ast1301, 7545, 7554);
var ast1303 = new ASTNode(new SyntaxHead("Identifier", 0),ast1302, 7545, 7549);
var ast1304 = new ASTNode(new SyntaxHead("true", 0),ast1302, 7551, 7554);
ast1302.children = [ast1303,ast1304];
ast1301.children = [ast1302];
ast1291.children = [ast1292,ast1293,ast1301];
var ast1305 = new ASTNode(new SyntaxHead("tuple", 0),ast1290, 7559, 7560);
var ast1306 = new ASTNode(new SyntaxHead("Identifier", 0),ast1305, 7560, 7560);
ast1305.children = [ast1306];
var ast1307 = new ASTNode(new SyntaxHead("block", 0),ast1290, 7561, 7586);
var ast1308 = new ASTNode(new SyntaxHead("call", 0),ast1307, 7570, 7581);
var ast1309 = new ASTNode(new SyntaxHead("Identifier", 0),ast1308, 7570, 7574);
var ast1310 = new ASTNode(new SyntaxHead("Identifier", 0),ast1308, 7576, 7576);
var ast1311 = new ASTNode(new SyntaxHead("Identifier", 0),ast1308, 7579, 7580);
ast1308.children = [ast1309,ast1310,ast1311];
ast1307.children = [ast1308];
ast1290.children = [ast1291,ast1305,ast1307];
ast1161.children = [ast1162,ast1183,ast1189,ast1243,ast1290];
ast1145.children = [ast1146,ast1159,ast1161];
ast1.children = [ast2,ast5,ast181,ast199,ast217,ast265,ast322,ast363,ast405,ast442,ast481,ast501,ast566,ast593,ast716,ast778,ast909,ast956,ast1106,ast1145]